Welcome to Media Jukebox

Media Jukebox provides an easy, efficient way to collect, organize and play music and other media files on your PC.

Organization is Job #1

Media Jukebox was designed with the task of organization of media files as job number one. It incorporates several features beyond the scope of its competitors to accomplish this. And it's all wrapped within the most intuitive user interface in the industry. Media Jukebox is a media file organization tool first, and a playback utility second (many of the other jukebox's have these priorities reversed).

A Better Home Entertainment System

Consider enhancements that you would make to your existing home entertainment system:

Would you add features to help you locate and organize your CD's, records, and tapes?

Would you add some features to extend its ability to produce continuous and appropriate music for a particular situation completely unattended?

Or, would you paint it a groovy shade of blue so it looked really cool?

Actually, all these ideas have merit. Media Jukebox gives you the organizational tools to help you achieve these first two enhancements, and with the addition of skin support, also allows you to create, or use, an unlimited variety of "groovy" interfaces.

Simple, Familiar, Intuitive Layout

The main screen consists of components all Windows users have already become familiarized with: A listing on the left that serves as a topic browser/navigator, a large window on the right to display the contents of the current topic, a menu and toolbar across the top, a status bar across the bottom, etc. As a matter of fact, this help utility is one example of the many Windows-based applications you will find that follow roughly the same layout and function schema. See Parts of the Screen for more details.


What's New in Media Jukebox?

New in Media Jukebox 6.0

  • New "Media View" Media Jukebox now has an insanely powerful system for viewing and browsing your music....the possibilities are endless.
  • Media Server The included Media Server allows you to rip once, play anywhere. Easily connect to your media library from anywhere via the Internet, and use Media Jukebox as if you were sitting right in front of the host computer.
  • Media Editor Media Jukebox now includes a snazzy utility, Media Editor, which gives you the ability to easily edit and manipulate your music files.
  • Media Scheduler Media Jukebox got a little brother - Media Agent. Media Scheduler is a lightweight utility that helps Media Jukebox out, allows for scheduling of tasks, and a lot of other cool things.
  • Internal DSP's Media Jukebox now has several built-in DSP's to help enhance your listening experience.
  • DVD and TV Playback Media Jukebox takes another step towards being your all-in-one multimedia solution by supporting DVD and TV playback.
  • Speed, Speed, Speed Media Jukebox got tons of big speed-ups that make startup and managing enormous collections a snap.

New in Media Jukebox 5.0

  • New Playback Engine Media Jukebox now has an internal playback engine which accepts input plug-ins. Currently there are over 10 audio formats that can be played without the need to install Windows Media™ Player or RealNetwork's® RealPlayer® .
  • New plug-ins support Media Jukebox supports Visualization, DSP (Digital Signal Processing) and Input plug-ins.
  • Encoder Plug-In Support Media Jukebox has an encoder plug-in architecture which adds support for existing and future codecs.
  • Internal Equalizer Media Jukebox now has a 10 band equalizer giving the user increased control over sound.
  • Internal Visualizations Media Jukebox now has 4 visualizations to display your music as it plays.

New in Media Jukebox 4.0

  • Media Jukebox Gets A Face Lift Media Jukebox now supports WindowBlinds compatible skins with over 750 skins already available! It also has a new System Tray menu that offers you direct control of the player and even displays the current playlist without the need to open a single application window.
  • New MP3 Encoder The new encoder is up to 14 times faster and supports multiple CPU's for even faster encoding. The new encoder also supports variable bit rate (VBR) encoding for high compression without sacrificing high quality.
  • Plug-In Support Media Jukebox added a plug-in architecture allowing for greater control of individual handheld devices and a gateway for future features and controls.

New in Media Jukebox 3.0

  • RealPlayer® Support Media Jukebox can play all file types supported by RealPlayer®.
  • New BuyButton The new version of BuyButton features an easy to use Payment Wizard, which will guide you step by step through the payment process. Using the new BuyButton a user can select to pay by credit card or by token.

New in Media Jukebox 2.2

  • Web Radio Media Jukebox integrates Web Radio.
  • Converter Convert media files from one format to another.
  • Interface Enhancements Several enhancements were made to the user interface that continue our commitment to ensuring that Media Jukebox has the most intuitive and easy to use interface in the industry.

New in Media Jukebox 2.1

  • Improved Performance Once again we have made substantial improvements in Media Jukebox's performance, particularly when you have large numbers of files.
  • Analog CD Copy "Rip" as you play! This new feature makes it possible to rip from any CD-ROM capable of playing music CD's!
  • Track Volume Offset Allows you to adjust the relative volume level of your media files to compensate for varying, recorded volume levels or to emphasize/de-emphasize a particular track.
  • Drag and Drop Directory Import You can now import files into Media Jukebox by dragging and dropping an entire directory from Windows Explorer to the jukebox.
  • Party Mode Safeguards your media library from modifications made will others are using it.
  • CD Copy & Recording Enhancements Additional capabilities and interface improvements have been added to make these utilities more user friendly.
  • Bug Fixes Several bugs have been fixed.

New in Media Jukebox 2.0

  • Improved Performance Media Jukebox 2.0 is up to ten times faster than previous version at processing your media files.
  • Line-In Recording Media Jukebox now provides you with the ability to record your tapes and records to.
  • Write Audio CD's If you have a CD burner, Media Jukebox 2.0 allows you to create your own Audio CD's that can be played on any stereo system.
  • "Skin" Support for Mini-Player The Mini-Player fully supports custom "skins" that you can design yourself or download from our website.
  • Improved Help A new comprehensive help system and Tip-of-the-Day messages have been added.
  • Version Checking You can instruct Media Jukebox to check for newer versions at startup.
  • More Handheld Devices Supported Media Jukebox now supports the Diamond Rio 300 & 500, the Pontis MPlayer3, and the Creative Labs Nomad players.
  • Interface Enhancements Several enhancements were made to the user interface that continue our commitment to ensuring that Media Jukebox has the most intuitive and easy to use interface in the industry.
  • Bug Fixes Several bugs have been fixed.


Key Features

Multiple Media Formats - Media Jukebox supports virtually any popular audio or video format, including mp3, Windows Media™, QuickTime, RealAudio®, and J. River's own secure format, MusicEx. The Jukebox uses the power of Microsoft's® Windows Media™ Player and RealNetwork's® RealPlayer®, making it possible to play over 20 media file formats.

CD Ripping - Media Jukebox supports ripping Audio CD’s in Win 95/98/2000/NT. Unlike other ripping tools, it does this without requiring installation of additional drivers*.

CD Quality Encoding - Media Jukebox allows users to record music from Audio CD's and encode it as MP3 (at up to 320 Kbps) and Windows Media™. It also has an option to use an external mp3 encoder such as the Xing Technology Corporation MP3 encoder.

Fast Encoding - Media Jukebox uses a new MP3 encoder that supports constant or variable bitrate encoding. It also takes advantage of multi-processors, making Media Jukebox the fastest encoding jukebox available.

Web TV & Radio - Media Jukebox provides users with powerful organizational tools to manage and play over 1000 streaming Web TV & Radio stations.

Analog Recording - Media Jukebox allows users to convert their existing tapes and vinyl records or any other analog source into digital music. Users can encode files to any format supported by Media Jukebox.

Music and video file organization - Music can be organized by artist, album, playlist, or category. Media Jukebox can extract media file information and automatically categorize your music collection, or you can organize files manually by dragging and dropping tracks into the Jukebox.

Intelligent SmartList - The SmartList feature allows a user to create and save playlists based on rules such as artist name, album name, categorization, year, file type etc.

Buy CD - The "Buy CD" feature lets you select a song playing in the jukebox and search for purchasable tracks or albums by that artist at barnesandnoble.com or other music content sites.

Create Audio CD - Using Media Jukebox you can create your own Audio CD's for playback in any CD player. Audio CD's can be created from any combination of MP3, WAV, or WMA file formats.**

Handheld device support - Media Jukebox supports exporting media files into the handheld device of your choice. Currently supported handhelds are Creative Labs’ Nomad I/II, Diamond Rio PMP 300 & 500, Pontis’ Mplayer3 and others. It also supports devices with memory readers/writers such as PDA's, DNA MP3 Player, I-Jam and more.

Find Music - The Find Music tool allows the user to search Media Jukebox for any matching media files or Web stations.

MusicEx files support - Media Jukebox is the only player that provides the full power of MusicEx files to give you an amazing multimedia experience. A single file can contain multiple tracks, images, and URL's. You can switch tracks, browse images, lyrics and liner notes. In the case of commercial files, you can purchase the album after listening to the previews.

Top 40 - The 40 files you play most frequently will be listed automatically.

Skin support - Media Jukebox supports skins for both the "MEGA-ME" and "mini-me" modes. You can also customize the appearance of the player by selecting from hundreds of downloadable skins or by creating your own.

Multi-language support - Media Jukebox is the only jukebox which allows you to select a font. This means that the media file information is readable even if it's written in Russian (assuming that you can read Russian!).

* Available only on Windows NT/2000 systems with IDE drives.
** Requires CD-R/RW drive.


Supported Media Types

Media Jukebox supported media types

For a complete, up-to-date listing of media file types supported by Media Jukebox, see the Input Plug-In website. Additional formats are supported by Media Jukebox via Microsoft® Windows Media™ Player and RealNetworks® RealPlayer®. The following is a list of media file types supported at the moment:

Format | File Extensions | Developer Links | Technical Links
Windows Audio Files | wav, snd, au, aif, aifc, aiff | NeXT, Sun, Apple, SGI, Microsoft |
MPEG Audio Files | mp3, mp2, mpa | Motion Picture Experts Group |
MIDI Files | mid, rmi, midi, rmid |  |
MPEG Video Files | mpeg ,mpg, m1v, mpv, mpe | Motion Picture Experts Group |
Windows Media™ Playlist Files | asx, wax, wvx | Microsoft |
MP3 Playlist Files | m3u, pls | Motion Picture Experts Group |
Windows Media™ Files | wm, wma, wmv, asf | Microsoft |
QuickTime Video Files | qt, mov | Apple |
Windows Video Files | avi |  |
MusicEx Files | jmx | J River, Inc. |
VideoCD Files | dat |  |
Audible Audio Files | aa |  |
LearnKey's RealCBT Files | Lks |  |
Liquid Audio Files | lqt | Liquid Audio |
RealAudio® & RealVideo® Files | ram, rmm, rv, rp, ra, rm, rmx | RealNetworks |
Scalable Multicast Files | sdp |  |
SMIL Document Files | smi, smil |  |
ShockWave Files | swf | Macromedia | OpenSWF
Vivo Files | viv, vivo |  |
OggVorbis Files | ogg | iCAST | Vorbis
Transparent Audio Compression | tac | K+K Research |
Freeware Advanced Audio Coder | aac | SourceForge | FAAC Technical
Monkey's Audio Files | ape | Matthew T. Ashland | Technical
VOC Audio Files | voc | SoundBlaster |

This list is subject to change.

To make sure your installation of Media Jukebox is capable of playing all the available media formats, periodically select the "Check for Updates..." item on the <Help> menu.


System Requirements

Hardware Requirements

133 Mhz Pentium
16 MB RAM
10 MB Free hard drive space
Sound card

Software Requirements

Windows 95/98/ME/2000/NT
Microsoft® Internet Explorer 4.0 or higher

Performance Issue: Some video adapters/drivers experience drastic performance loss accommodating "skinning". If you are experiencing performance problems, check "Disable Skinning" on the <Skins> menu.


Installing Media Jukebox

The Media Jukebox install program can be downloaded from J. River at www.musicex.com/mediajukebox using any web browser.

Follow these quick steps to install Media Jukebox:

  • It is best to exit all Windows programs before beginning the installation procedure.
  • Double click the install program you downloaded to run the installation wizard. Click the Continue button.
  • On the Welcome screen, click Next and you will see the Software License Agreement. Click the Yes button to accept the license agreement and continue the installation. Click the No button to quit the installation.
  • Choose a destination location for the Media Jukebox program files. The default is C:\Program Files\J River\Media Jukebox. An alternate location can be selected by clicking the Browse button. After the destination location is selected, click the Next button.
  • Select a name for the program folder in which to place program icons. The default name is Media Jukebox, but another name can be entered. After selecting the name, click the Next button to continue the installation.
  • After the process of copying files is finished, you will be prompted to select media files you want to open with Media Jukebox. The default media types are mp3, jmx( MusicEx files), wav, wma, asx, asf, avi, m3u, and pls, but other media types can be selected. After selecting media types, click the Next button to complete the installation.
  • Note to existing users:
    Existing users will be prompted for the location of existing Media Jukebox database files. The database files are located in the "Data" subdirectory of the directory in which the previous installation of the Media Jukebox program file was located. (i.e. "C:\Program Files\J River\Media Jukebox\Data\")
    • Auto Search Select this option and Media Jukebox will attempt to locate the existing database files.
    • Manual Search Select this option and you will be prompted for the location of the database files.
    • Restore Information Select this option and you will be prompted for the location of a backup of the database files.
Media Jukebox supports playback of many of the popular media file types through input plug-ins included in the default installation, additional input plug-ins can be individually installed at any time (see Plug-In Manager for more information on installing plug-ins and our Plug-Ins Website for a list of supported formats).

Additional formats are supported by Media Jukebox by sending them to either Microsoft® Windows Media™ Player or RealNetworks® RealPlayer® for playback. For the greatest range of media file support, make sure you have these players installed.

Check For Updates

To make sure your installation of Media Jukebox is capable of playing all the available media formats, periodically select the "Check for Updates..." item on the <Help> menu.


Organizational Approach

Media Jukebox uses several approaches to help you organize your media library:

Describing Media Files in your own Terms
 Handy Media Library Listing
Artist/Album Perspective
Organizational Freedom

Describing Media Files In Your Own Terms

The key to powerful organization of your content is in thoroughly describing each media file "in your own terms". Many other jukebox's limit you to a handful of choices like genre, tempo, etc. Media Jukebox utilizes user-defined "Categories" as the building blocks to give you the ability to accomplish this task. You can think of a category as a playlist that contains only media files sharing a single trait (i.e. "Female Artists"). Or, you can combine categories and/or a variety of other traits (artist, date, genre, etc.) using a SmartList to create a playlist of media files of a much more specific theme (i.e. ""My Favorite Songs, of the 80's, from Female Artists").

Handy Media Library Listing

The entire collection, or library, of media files you are managing with Media Jukebox is readily available in the Artist Library section of the Organization Tree. Once you import a file into Media Jukebox, you will never have to search your hard drive for it again. It's right where you put it, in the Artist Library, available for playback, editing, or relocating, with a few simple clicks of the mouse.

By managing your media library, rather than simply deferring it to the operating system, Media Jukebox has ability to provide you with summary information including:
- # of songs by an artist
- # of albums by an artist
- total artist playing time and disk space consumed
- overall total playing time and disk space consumed
- etc.

Artist/Album Perspective

Another simple approach to organization, is the location of media files into their perspective artists and albums. This approach innately provides the ability to view, play, or edit media files by artist and/or album. It also provides the ability to organize the tracks of a particular album as the artist/producer intended them to be.

Organizational Freedom

You have full freedom for creating and naming artists, albums, playlists, categories, etc. as you see fit. In the Artist Library you could create the "artist", "Woodstock '99" and within that "artist" you could create several "albums" individually naming the artist that performed there. Similarly, you could create an "artist" called "Movies" and "albums" named "Drama", "Horror", "Documentary", etc.

The very terms "artists", "artist", "album", and "track" are really fallout from an assumption that your Media Jukebox library will mimic that of your CD library, when the potential and capabilities of this new kind of library are much more far-reaching and powerful. More accurate terms for the above mentioned are "media library", "group", "sub-group" and "media file", respectively. While these terms are more accurate, they could also be considered more vague and in effect cause more confusion.


Parts of the Screen

Drag the mouse over the different parts of the image to display the names used throughout this help document to refer to the respective sections. Click on a screen area to learn more about that section.


Media Jukebox Hot-Keys

Player
Ctrl+P | Play
Ctrl+U | Pause
Ctrl+S | Stop
Ctrl+L | Previous Track
Ctrl+N | Next Track
Ctrl+M | Mute
Ctrl++ | Volume Up
Ctrl+- | Volume Down
Media Jukebox Database
Ctrl+B | Backup Info
Player/Jukebox Mode
Ctrl+E | Toggle between Mini-Player and Jukebox Modes
Settings
Ctrl+T | Select Font
Ctrl+O | Media Jukebox Options
Edit
F6 | Add Artist
F7 | Add Album
F8 | Add Playlist
F9 | Add SmartList
F10 | Add Category
F11 | Add Category Group
F2 | Rename
Del | Delete
Ctrl+Enter | Properties
Help
F1 | Help
Ctrl+J | Check for new version
Organization Tree Navigation
Ctrl+1 | Jump to Home
Ctrl+2 | Jump to Playing Now
Ctrl+3 | Jump to Media Library
Ctrl+4 | Jump to Media View
Ctrl+5 | Jump to Playlists
Ctrl+6 | Jump to Categories
Ctrl+7 | Jump to CD & DVD
Ctrl+8 | Jump to Handhelds
Ctrl+9 | Jump to TV & Radio
Ctrl+0 | Jump to Web Music
Ctrl+F | Jump to Find Music
Miscellaneous
Ctrl+C | Copy to Clipboard
Ctrl+P | Paste from Clipboard
Ctrl+R | Re-Shuffle
F5 | Refresh
TAB | organization tree/content view Toggle


About the Organization Tree

The organization tree allows you to quickly navigate throughout your media library. Your library is made up of imported media files, an assortment of playlists, a list of categories that can be used to describe your media files, your CD-ROM drives, your handheld devices, and web radio station and music site links.

Refer to the individual sections of the organization tree for information about their capabilities for playing, editing, organizing, and importing media files.

You can use hot-keys (or accelerators) to navigate about the organization tree without the use of the mouse. See Media Jukebox Hot-Keys for a complete listing of the hot-keys.


Home

The Home page has been added to provided Media Jukebox users with links to the latest in digital music news and products.

From time to time you may want to download an updated Home page from J. River ... just right click on "Home" and then click "Update Home Page...".


Playing Now

The Playing Now view is comprised of several components associated with the track(s) currently selected for playback. If more than one file is selected for playback, Media Jukebox will automatically switch to this view. You can also quickly switch to this view by selecting it from organization tree or from the <View> menu, via Hot-Keys, or by clicking on the [image] button on the toolbar. The following components make up the Playing Now view::
  • Playlist
    The list of files queued for playing - the "current playlist". The [image] image in the content view indicates the media file currently being played. You can change the current track by double-clicking on another track within the Playing Now playlist.

    When one or more file(s) are selected and played the previous contents of Playing Now are purged and it is populated with the new file(s). When more than one file is selected and played, Media Jukebox automatically switches to the Playing Now view.

    For your convenience, the list of tracks in Playing Now are saved when you exit Media Jukebox and automatically restored the next time you open it.

  • Info
    The "Info" tab contains an HTML page containing the information associated with the media file currently selected for playback. The information can include media file property information as well as advanced file properties.
  • Web Page
    The "Web Page" tab contains the website associated with the current track (if specified). The link for this page can be specified as the "Artist" URL in the advanced file properties.
  • Equalizer
    A 10-band equalizer and preamp (volume) for playback management. See Equalizer for more information.
  • Visualization
    Graphic visualizations of the audio playback. See Visualizations for more information.


All Files Playlist

All Files

"All Files" is a system maintained listing of all of the media files in your Media Jukebox library. You can not add or remove files from it - it is populated by Media Jukebox automatically. You can, however, use it to edit media files or delete them from the jukebox (see Media File Properties and Deleting Media Files for more information).


Recently Imported

All media files that have been recently imported (imported since the last time you exited Media Jukebox) will be grouped in the special, "Recently Imported" folder in the Artist Library. The files will remain there until they are either deleted from the jukebox or the jukebox is exited. The reason for this is to make it easier to identify files that you have recently imported and my want to make further modifications to before they are dispersed about the library.


Unassigned

Files that have been imported into Media Jukebox but have not been assigned to an artist (or to a similar item on the organization tree) will remain in the unassigned folder of the Artist Library. If the file(s) follow a structured naming convention they can be parsed using the reassign feature. See Reassign Media Files for more information.


Artist Library

Media Jukebox organizes your media files in terms of their respective artists and albums; although you have the ultimate freedom in what you want to view as an "artist" or an "album" (see Organizational Approach).

Working with the Artist Library

Functionality associated with the Artist Library:

Add a New Artist

Add a New Album

Rename an Artist or Album

Delete an Artist or Album

Import Media Files to an Artist or Album

Move Media Files To/From an Artist or Album

Play all of the Media Files from an Artist or Album

Add a New Artist

You can create a new artist in one of the following ways:

  1. Click the [image] button from the toolbar -or-
  2. Right-click on the "Artist Library" item in the organization tree and select "Add Artist" from the popup menu -or-
  3. Select "Add Artist" from the <Edit> menu -or-
  4. Press the "F6" key on your keyboard.

Add a New Album

Select the artist or another album by the artist you want to create a new album for from the "Artist Library" section of the organization tree and do one of the following...

  1. Click the [image] button from the toolbar -or-
  2. Right-click and select "Add Album" from the popup menu -or-
  3. Select "Add Album" from the <Edit> menu -or-
  4. Press the "F7" key on your keyboard.

Rename an Artist or Album

Select the artist or album you want to rename from the "Artist Library" section of the organization tree and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Rename" from the pop-up menu -or-
  3. Select "Rename" from the <Edit> menu -or-
  4. Press the "F2" key on your keyboard.

Delete an Artist or Album

Select the artist or album you want to delete from the "Artist Library" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

Import Media Files to an Artist or Album

Select the artist or album you want to import media files into from the "Artist Library" section of the organization tree and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Import Files" from the pop-up menu -or-
  3. Select "Import Files" from the <Tools> menu -or-
  4. Drag & Drop media files or an entire directory from a Windows Explorer window to the content view.

Note: If the media files were recorded or ripped in the order they appear on the original source (CD, record, tape), you can retain the track order by checking "Order tracks by file date/time" on the "Import Media Files" dialog.

See Importing Files for more information.

Move Media Files To/From an Artist or Album

You can move media files to a given artist or album in the following ways:

  1. Drag & Drop media files from the content view to the target artist/album in the organization tree -or-
  2. Select the file(s) to be moved from the content view and right-click to select "Properties" from the pop-up menu or click the [image] button from the toolbar, then edit the "Artist" and/or "Album" properties -or-
  3. Drag & Drop albums from one artist to another in the organization tree.

Play all of the Media Files from a particular Artist or Album

Select the artist or album you want to play from the "Artist Library" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the player window -or-
  2. Right-click and select "Play" from the pop-up menu -or-
  3. Select "Play" from the <Player> menu -or-
  4. Press the "Ctrl+P" on your keyboard.


Overview of Media View

Media View will display your library in just about any layered grouping scheme you can dream up. It does this by allowing you to define your own "view schemes" which are a list of prioritized groupings (or filters) of your library. You can create schemes by combining any of the default groupings (artist, album, genre, year, bitrate and type), as well as, user-defined category groups in any order that suits you.

Example view schemes:

  • Nationality / Artist / Album
  • Artist / Source / Album
  • Preference / Source / Bitrate / Artist / Year / Tempo / Genre / etc. / etc. / etc.

The above examples include Nationality, Source, Preference and Tempo category groups. See Categorizing your Media Files for more information on creating and using categories and category groups to organize your media files.

Editing Media View Schemes

To edit media view schemes, right-click on Media View in the organization tree and select "Edit View Schemes..." from the popup menu. You can select and delete view schemes or create new view schemes by pressing the "New..." button and building a new scheme by selecting the desired groups in the appropriate order.


Playlist Overview

Playlists are collections of media files presumably with a common theme. The theme may consist of any combination of the following influences:

- Personal preference (my favorites, my skips, spouse's favorites, etc.)
- Mood, setting or situation (dinner, party, studying, etc.)
- Intended audience (children, teens, adults, etc.)
- Genre (hard rock, blues, jazz, country, classical, etc.)
- Date range (70's, current, etc.)
- By artist (Billy Holiday, Elton John, New York Philharmonic, etc.)
- Arrangement ([Song 1] Funeral for a friend, [Song 2] Loves lies bleeding, etc.)

Playlist Types

Media Jukebox utilizes two different types of user playlists and two system playlists to provide you with the tools you need to create playlists for all occasions.

User Playlists

System Playlists
Standard Playlist Playing Now Playlist
SmartList Top 40 Playlist

Standard Playlists are best suited for collections of media files that will not change often or collections that require a specific arrangement, or order. SmartLists, on the other hand, are useful when it is clear they may be ever-changing/growing collections of media files that share a common theme.

Playlist Examples

Consider the following playlist titles to help distinguish the difference between a Standard Playlist and a SmartList:

Standard Playlist Title Examples
"My Top-Ten Favorite Songs of All Time"
"The Best Playlist I Have Ever Put Together"
"My Workout Playlist"

SmartList Title Examples
"My Favorite Blues Songs of the 1990's"
"Dinner Music My Spouse and I Both Like"
"1970's Radio-Play Hits"

More Playlists...

Given the above definition of a playlist as a collection of media files with a common theme, Media Jukebox, also provides "playlists" of individual Artists, Albums, and Categories, purely by its organizational nature. For instance, to play every song by a given artist, simply select the artist in either the organization tree or in the content view and press play.


Top 40 Playlist

The Top 40 Playlist is a system maintained list of the 40 most popular media files in your Media Jukebox library. The popularity of the media files is based solely on the number of times the file has been selected for playback.

Refer to the following sections for more information about the Top 40 Playlist:

Remove a Media File from the Top 40 Playlist

Reset the Top 40 Playlist

Remove a Media File from the Top 40 Playlist

Select the file(s) you want to remove from the Top 40 playlist from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

Note: This will not delete the file(s) from the "Artist Library" section of the organization tree or from your hard drive.

Reset the Top 40 Playlist

You can reset the Top 40 Playlist by right-clicking on it in the organization tree and selecting "Reset" from the pop-up menu.

Note: Attempting to delete the system playlists from the content view will have no effect.


Standard Playlists

Standard Playlists can be used to manually collect and organize media files with a common theme. For instance, you can make a Standard Playlist titled "My Top-Ten Favorite Songs of All Time" that has, in order of preference, your favorite ten songs of all time.

Working with Standard Playlists

Functionality associated with Standard Playlists:

Add a New Playlist

Create a New Playlist from a SmartList

Rename a Playlist

Delete a Playlist

Play a Playlist

Add a Media File to a Playlist

Delete a Media File from a Playlist

Add a New Playlist

You can create a new playlist in one of the following ways:

  1. Right-click on the "Playlists" item in the organization tree and select "Add Playlist" from the popup menu -or-
  2. Select "Add Playlist" from the <Edit> menu -or-
  3. Press the "F8" key on your keyboard.

Create a New Playlist from a SmartList

You can create a new standard playlist from an existing SmartList by right-clicking on the SmartList you want to copy from the "Playlists" section of the organization tree and selecting "Save as Playlist..." from the pop-up menu.

Rename a Playlist

Select the playlist you want to rename from the "Playlists" section of the organization tree and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Rename" from the pop-up menu -or-
  3. Select "Rename" from the <Edit> menu -or-
  4. Press the "F2" key on your keyboard.

Delete a Playlist

Select the playlist you want to delete from the "Playlists" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

Note: This will not delete the file(s) in the playlist from the "Artist Library" section of the organization tree or from your hard drive.

Play a Playlist

Select the playlist you want to play from the "Playlists" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the media player window -or-
  2. Right-click and select "Play" from the pop-up menu -or-
  3. Select "Play" from the <Player> menu -or-
  4. Press the "Ctrl+P" on your keyboard.

Add a Media File to a Playlist

You can add media files to a given playlist by dragging the media file(s) from the content view to the target playlist in the organization tree. Or, by selecting the file(s) to be added from the content view, right-clicking and selecting "Add to Playlist"..." from the pop-up menu.

Delete a Media File from a Playlist

Select the file(s) you want to remove from the playlist from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

Note: This will only remove the file(s) from the playlist, it will not delete them from the "Artist Library" section of the organization tree or from your hard drive.

See the Playlist Overview to learn about more types of playlists.


SmartLists

The SmartList feature allows users to create "virtual" playlists by specifying a set of rules that media files must meet in order to be played. The playlists are virtual, in that, a list of media files is never stored, only the rules are stored. And as the user re-categorizes existing media files or imports and categorizes additional media files, the results of the SmartLists will change accordingly.

A SmartList is made up of the following rule groups:

- Include all or only specified Artists
- Include all or only specified Albums
- Specify Category selections
- Include all or only specified Genre
- Include all or only specified Date Range
- Include all or only specified Media Types

Working with SmartLists

Functionality associated with SmartLists:

Add a New SmartList

Create a New Playlist from a SmartList

Rename a SmartList

Delete a SmartList

Play a SmartList

Edit a SmartList's Properties

Making Category Selections for a SmartList

Add a New SmartList

You can create a new SmartList in one of the following ways:

  1. Right-click on the "Playlists" item in the organization tree and select "Add SmartList" from the popup menu -or-
  2. Select "Add SmartList" from the <Edit> menu -or-
  3. Press the "F9" key on your keyboard.

Create a New Playlist from a SmartList

You can create a new standard playlist from an existing SmartList by right-clicking on the SmartList you want to copy from the "Playlists" section of the organization tree and selecting "Save as Playlist..." from the pop-up menu.

Rename a SmartList

Select the SmartList you want to rename from the "Playlists" section of the organization tree and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Rename" from the pop-up menu -or-
  3. Select "Rename" from the <Edit> menu -or-
  4. Press the "F2" key on your keyboard.

Delete a SmartList

Select the SmartList you want to delete from the "Playlists" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

Note: This will not delete the file(s) in the SmartList from the "Artist Library" section of the organization tree or from your hard drive.

Play a SmartList

Select the SmartList you want to play from the "Playlists" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the media player window -or-
  2. Right-click and select "Play" from the pop-up menu -or-
  3. Select "Play" from the <Player> menu -or-
  4. Press the "Ctrl+P" on your keyboard.

Edit a SmartList's Properties

Select the SmartList you want to edit from the "Playlists" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Properties" from the pop-up menu -or-
  3. Select "Properties" from the <Edit> menu.

Making Category Selections for a SmartList

The category selections are made in the SmartList Properties by specifying "which" categories are to be considered for inclusion/exclusion by the SmartList. The selection also specifies an additional qualifier that specifies "how" the category is to be considered. The "how" qualifiers are as follows:

- include media files from this category; if multiple categories are selected, include all files from the selected categories

- include media files from this category; if multiple categories are selected, include only those files that are common to all categories

- do not include media files in this category, takes precedence over other qualifiers

Let the ovals in the following illustration represent a collection of media files in a category and the gray regions indicate the media files the SmartList will display for playback.

SmartList Category Selection Logic

See the Playlist Overview to learn about more types of playlists.


Printing and Exporting Playlists

Print Playlist

You can print the Playlist that is currently displayed in the content view either by choosing "Print..." from the <File> menu or by clicking the printer icon on the toolbar. The printout will contain only those columns you have included in your content view. The header of the printout contains the playlist name, the footer contains the page number and the current date and time.


Export Playlist

General Overview

A playlist, or any listing of media files in the content view, can be exported in three different formats:
  • HTML
    A simple HTML document.
  • ASCII Delimited
    An ASCII (text) delimited file that can be imported into spreadsheet, database, word processor and other applications for further use.
  • M3U Playlist
    An industry standard M3U playlist file that can be imported and/or played by several popular players/jukeboxes.

Export Settings

Filename

Specify the file name/path of the file to written by Media Jukebox.

Format

Specify one of the formats listed above. For HTML exports only, confirm or specify a title for the document.

Included Fields

Specify if the document should contain all the fields from the database or just the ones shown in the content view. (HTML and ASCII Delimited only)


Categorizing your Media Files

Categories are meant to be user-defined, distinct, single perspective descriptors that can be used to describe a trait of a media file (i.e. "Female Artists", "My Favorites", "Dinner Music", etc.).

Categories alone can serve as single perspective playlists, but can also be combined in SmartLists to create a very elaborate and/or focused collection of media files.

Related categories can also be grouped into user-defined Category Groups.

Some examples of category groups and their perspective categories are as follows...

Tempo

  • Fast
  • Slow

Source

  • CD
  • Tape
  • Vinyl
  • Download

Preference

  • My Favorites
  • My Skips
  • Spouses Favorites
  • Spouses Skips

Nationality

  • Russian
  • US
  • Latino

Working with Categories

Functionality associated with Categories:

Add a New Category

Rename a Category

Delete a Category

Play all of the Media Files from a Particular Category

Add a Media File to a Category

Delete a Media File from a Category

Working with Category Groups

Add a New Category

You can add a new category in one of the following ways:

  1. Click the [image] button from the toolbar -or-
  2. Right-click on the "Categories" item in the organization tree and select "Add Category" from the popup menu -or-
  3. Select "Add Category" from the <Edit> menu -or-
  4. Press the "F10" key on your keyboard.

Rename a Category

Select the category you want to rename from the "Categories" section of the organization tree and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Rename" from the pop-up menu -or-
  3. Select "Rename" from the <Edit> menu -or-
  4. Press the "F2" key on your keyboard.

Delete a Category

Select the category you want to delete from the "Categories" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

Note: This will not delete the file(s) in the category from the "Artist Library" section of the organization tree or from your hard drive.

Play all of the Media Files from a Particular Category

Select the category you want to play from the "Categories" section of the organization tree or from the content view and do one of the following...

  1. Click the [image] button on the player window -or-
  2. Right-click and select "Play" from the pop-up menu -or-
  3. Select "Play" from the <Player> menu -or-
  4. Press the "Ctrl+P" on your keyboard.

Add a Media File to a Category

You can add media files to a given category one of the following ways:

  1. Drag the media files from the content view to the target category in the organization tree -or-
  2. Select the file(s) to be tagged from the content view and right-click to select "Properties" from the pop-up menu or click the [image] button from the toolbar, then edit the "Category" selections.
  3. Select the file(s) to be tagged from the content view, right-click and select "Add to Category"..." from the pop-up menu.

Delete a Media File from a Category

Select the file(s) you want to remove from the category from the content view and do one of the following...

  1. Right-click and select "Delete" from the pop-up menu -or-
  2. Right-click and select "Properties" from the pop-up menu or click the [image] button from the toolbar, then edit the "Category" selections.
  3. Right-click and select "Add to Category..." from the pop-up window and uncheck the categories accordingly.

Note: This will only remove the file(s) from the category, it will not delete them from the "Artist Library" section of the organization tree or from your hard drive.

Working with Category Groups

You can add a new category group in one of the following ways:

  1. Right-click on the "Categories" item in the organization tree and select "Add Category Group" from the popup menu -or-
  2. Select "Add Group" from the <Edit> menu -or-
  3. Press the "F11" key on your keyboard.

You can delete a category group by selecting the group you want to delete from the "Categories" section of the organization tree and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.

You can add/remove categories to/from a category group by dragging and dropping the category in the organization tree.


Overview of the CD & DVD Station

CD & DVD Station manages your CD-ROM drive(s) in relation to Media Jukebox. It provides several services including:


Playing Audio CD's

To play an audio CD, just insert it into your CD-ROM drive and select "CD Station" from the organization tree. If auto insert notification for that drive is enabled, the contents of "CD & DVD Station" will be updated automatically. If not, press F5 to update the contents.

By default the program will try to retrieve track names from the CDDB database over the internet. This can cause a noticeable delay and will fail if you are not connected to the internet. To disable CDDB lookup, go to <Settings><Options><CD Settings> and uncheck "Use CDDB".

To play a CD track, you can either double-click on it or highlight the desired track and click the play button on the media player.

NOTE: If you have more then one CD-ROM drive or a CD changer connected to your computer, you can play audio CD's from multiple drives sequentially without swapping CD's. Just select tracks from each CD and press play.


Playing DVD's

Playing DVD Video

To play a DVD, just insert it into your CD-ROM drive and select "CD & DVD Station" from the organization tree. If auto insert notification for that drive is enabled, the contents of "CD & DVD Station" will be updated automatically. If not, press F5 to update the contents.

To start playback, you can either double-click on it or highlight the desired title and click the play button on the media player. A separate video window will appear which you can resize and move like any other window.

To stop playback, you can either click the Stop button on the media player, or click the close window button on the video window.

During playback, you can navigate through the DVD content using either the media player buttons or using the context menu (right click) in the video window.

Navigation using the media player buttons...

  • Play button starts playback and is also used to switch from pause or scanning modes back to normal playback. When content is playing, this button will change to a Pause button which will freeze the video.
  • Stop button stops playback and closes the video window.
  • Next and Previous buttons switch to the next and previous chapters of the movie. When the video is paused, the Next button will advance to the next still frame (the Previous button does nothing when the video is paused).
  • You can reposition within the movie by repositioning the slider.

Navigation using the right-click menu in the video window...

  • Play/Pause will pause playback or return to normal playback speed if the video is currently paused or scanning.
  • Full Screen menu item toggles back and forth between full screen mode and a normal window.
  • Menu displays the built in DVD menu that is customized for every DVD disc. Often you can choose different audio and subtitle languages, different formats (wide screen 16:9 or 4:3), viewing angles, etc.
  • Closed caption toggles closed captioning if the disc supports it.
  • Next/Previous chapter navigates between chapters in the movie.
  • Frame Advance when movie is paused, this will advance to the next frame.
  • Go to chapter will reposition at the chapter of your choosing.
  • Forward/Reverse allows you to select a speed for fast forwarding or rewinding. Press the Play button to return to normal playback.


Creating your own Audio CD's

If you have a writable CD-ROM drive, you can create your own audio CD's from music files in your Media Jukebox collection.

To create an audio CD, select the tracks you want to "burn" from the content view or select an entire item (Top 40 Playlist, Current Playlist, My Favorites, etc.) from the organization tree and do one of the following:

  1. Click the [image] button from the toolbar
  2. Select "CD Writer..." from the <Tools> menu
  3. Drag & drop (from content view only) to "CD & DVD" in the organization tree.

The system will scan for a writable CD-ROM drive on your computer, if you have more than one it will ask which one to use. Now the CD writer dialog box opens. Simply set the options the way you want and click the Start button. Media Jukebox now converts your tracks to wave format files and writes them to the CD.

Dialog Components

  • Create: Select "Audio CD" or "Data CD". Audio CD's can be played on any CD player, data CD's are only for computers and a few recent consumer electronics units that can handle MP3 files. If you select audio format, your files will be converted to wave format files before writing to the CD.
  • Track Name/Action The names of tracks to be copied to CD and the current processing status for each track. To change the track order prior to burning, drag and drop tracks from one position in the list box to another. You can delete tracks from the list box by selecting them and pressing the Delete key.
  • CD Capacity: This shows you how full the CD will be after copying the selected files.
  • Write Progress Shows the progress of the CD burning.
  • Status Status messages from the CD burning process.
  • Erase Disc button If you have a re-writable CD in the drive, this will erase the current contents.
  • Start Starts the disc writing operation
  • Cancel Cancels the disc writing operation
  • Options Brings up the options dialog for adjusting various CD writing features.
  • Help Brings up the help dialog.


Ripping - Copying your Audio CD's to your Computer

General Overview

Ripping is the process of copying music from audio CD's to your computer. Most newer CD drives are capable of doing this. The general steps you take are:
  1. Place the audio CD to copy into your CD-ROM drive.
  2. Select CD & DVD - Drive ?: in the organization tree.
  3. Modify the Track Name, Artist, Album and/or Genre information in the content view as needed.
  4. Click the [image] button on the toolbar or select "CD Copy..." from the <Tools> menu.
  5. Specify the tracks you want to copy.
  6. Click on the Options button and confirm or modify the CD, encoding and file naming & location settings
  7. Click the Copy button.
  8. Wait for the copying and encoding process to complete.
  9. Listen to the copied tracks. They will be organized under the artist name and album title in the Artist Library. If the album title and artist name were blank, you will find the tracks in Artist Library - Unassigned.

CD Copy Dialog Box

Status

The status shows Copying... while the file is being copied from the CD to the harddrive., then Encoding... while the music wave file is being compressed to its final format, then Finished when done. If there is a fatal error it shows Failed.

Progress

The progress bar shows the progress of the copying or encoding process. Images of CD's appear while a copy is in progress and images of musical notes appear during the encoding process.

Copy button

Clicking this button begins the CD copy process.

Cancel button

Clicking this button stops any copying or encoding process currently running and discards the previously recorded tracks.

Options button

Clicking this button brings up the CD Drive Settings dialog.

Notes

  • Select encoding options in <Settings><Options><Encoding>.
  • You can change where Media Jukebox stores your recorded CD music in <Settings><Options><File Naming & Location>.

Troubleshooting

  • If you get errors while copying CD's, your CD-Rom drive may not be capable of digital audio copying. Go to <Settings><Options><CD Settings> and change the copy mode to "Digital Unbuffered" or "Digital Error Correcting" and see if that helps. If you still get errors, change the copy mode to analog and with your CD in the drive click the Auto button to set the analog copy volume.
  • If your recorded tracks have clicks or pops in them, either your CD-Rom drive is not capable of clean audio copying or it's possible that your computer was too busy with other tasks while the recording was taking place. Since CD recording is a very demanding task, make sure you stop most other programs while you are recording. This includes graphics intensive screen savers, auto-answer modems, virus checkers and disk maintenance programs.
  • CD recording uses huge amounts of disk space so make sure you have an adequate supply before recording.


Overview of Handheld Capabilities

General Information

Media Jukebox supports a number of portable MP3 devices through free plug-ins. The plug-ins provide the functionality that is supported by a particular device, while Media Jukebox provides a convenient centralized location to access and control files for portable players in general.

Obtain a Handheld Device Plug-In

To use your handheld device with Media Jukebox you will need to install the appropriate plug-in from the Media Jukebox Plug-Ins website. See the Plug-In Manager for more information about obtaining and managing plug-ins.

Working with Handhelds

When you expand the “Handhelds” item in the organization tree, all available handheld devices will be listed. When you select a particular device, a list of the files that are on that device, a file count, the amount of total memory, the amount of free memory, and the state of the player (which should be “Ready”) will be displayed in the content view. If your player connects using a serial or parallel port, you will most likely need to select the appropriate port before a connection can be established. To select or modify your port for non-USB players, right click on the player name and select "Edit Port Settings". In the dialog box that pops up, select the appropriate port for connection. You will only need to do this one time.

To transfer files to your player, drag and drop the files onto the handheld device item in the organization tree.

To remove files, right-click on the files and select "Delete" from the popup menu. To remove all files and format the storage media, right-click on the player's memory in the organization tree and select "Format" from the popup menu.

If your player supports the addition of subfolders for organization you can add these subfolders by right clicking on the appropriate item in the organization tree and selecting "Add". To delete subfolders, select "Delete" from the organization tree.

Bitrate Conversion

You can do in-line bitrate conversion when transferring files to your player by enabling the option in the Handheld section of the Plug-In Manager. By converting to a lower bitrate during the file transfer, you will be able to transfer more files to your player without the need of storing these additional files on your hard drive.

If bitrate conversion is enabled, media files will be converted during transfer if the following is true:

  1. The encoder quality selected is not the same as the quality of the file.
  2. The media file type is supported by the encoder selected (For example, if the encoder selected is "Windows Media™" and the media type supported by the handheld device is "mp3", no conversion will not be performed.)


TV & Radio

Overview

This is a list of links to internet TV/radio stations where you can listen to live, genre specific broadcasts of popular TV and radio stations . When you click on a station in the list, the streaming audio/video broadcast is buffered and played while the content view becomes a web browser and opens up the accompanying web site. NOTE: The Type column in content view tells you the streaming format of the web TV/radio station. You must have the Windows Media™ Player installed to handle Windows Streaming Media types. You need RealPlayer® installed to handle RealAudio® and RealVideo® streams.

If you have a TV tuner in your computer and it's attached to a cable or antenna, you can view all the channels provided by your cable or antenna from the TV & Radio home page.

Note: Currently only ATI® brand TV tuner hardware is supported for non-internet television reception.

TV & Radio Home Page

Select TV & Radio in the organization view and the home page is displayed.

TV Channels

This is where you can set up and view TV channels if you have a TV tuner in your computer with a cable or antenna attached. Click Set up channels to bring up the TV Tuner Settings dialog box. Click the Scan button to get a listing of all the available channels. Click Ok to return to the home page and you can now select the TV channel to view.

Featured and Favorite stations

In station listings, featured stations are indicated with a red antenna while favorites are indicated with a green antenna. You can tag a station as a favorite by right clicking on the station in the content view and then clicking "Add to Favorites" from the pop-up menu. The "Add to Favorites..." menu item on the "TV & Radio" home page will add a link to the station to Internet Explorer's favorites.

Content View Station Listings

Expand TV & Radio in the organization view and then select All Stations or one of the genres to see a station listing in the content view.

Sort Order

The station information includes the station name, genre, data stream type, country, state, city, source and description. You can sort the stations by genre, country, state, city or source by right clicking on "TV & Radio" and selecting the item you wish to sort by.

Antenna icon: tagging favorite stations

The antenna icon is normally a black color. If it is a featured station, the antenna will be red. If it's been selected as a favorite station, the antenna will be green. To tag a station as a favorite, right click on it and choose Add to favorites. You can quickly view and select featured and favorite stations from the TV & Radio home page.

Update Station List

From time to time you may want to download an updated list of radio stations from J. River ... just right click on "TV & Radio" and then click "Update Stations...".

Adding TV/Radio Stations

To add a new TV/radio station, right-click on "TV & Radio" and select "Add Station". This selection provides a window to enter information for your new radio station. Required fields include "Station", "Stream URL", and "Format".

Editing TV/Radio Stations

Select the TV/radio station(s) you want to edit from the listings in the content view and do one of the following...

  1. Right-click and select "Properties..." from the popup menu.
  2. Click the [image] button from the toolbar.
  3. Select "Properties" from the <Edit> menu.
  4. Press the "Ctrl+Enter" keys on your keyboard.

Deleting TV/Radio Stations

Select the TV/radio station(s) you want to remove from the listings in the content view and do one of the following...

  1. Click the [image] button on the toolbar -or-
  2. Right-click and select "Delete" from the pop-up menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Delete" or "Del" key on your keyboard.


Web Music

This is a list of links to internet music sites where you can purchase music for download or get free samples. When you click on a site in the list, the content view becomes a web browser and opens up the selected web site. After you download the music, you can import it into Media Jukebox.

From time to time you may want to download an updated list of web sites from J. River ... just right click on "Web Music" and then click "Update Websites...".


Find Music

Overview

Find Music is a search utility that will search your media library for track titles, artists, albums, genre, file types, location (file path), and/or bitrates of media files; or, for station names, sources, and/or descriptions of TV/radio stations. If Auto Find is enabled, the search utility searches for matches as you type. If you have a large number of files or TV/radio stations imported into Media Jukebox, this can prove to be inefficient. If this is the case, disabled Auto Find and press the "Search" button when you are ready to start the search.

Search Media Files

You can search your media files for track titles, artists, albums, genre, file types, location (file path), and/or bitrates for matching text in one of the following ways:

  1. Click the "Find Music" item in the organization tree, select "Find Music" from the <Tools> menu, or press the "Ctrl+F" keys on your keyboard (this will open the Find Music Window).
  2. Click the "Media Files" tab.
  3. Enter the text you want to search for in "Find what" or select a previous entry from the list.
  4. Indicate the fields you would like to search on in "Look at".
  5. Indicate if the search should be case-sensitive by checking or unchecking "Match case".
  6. Indicate if the search should consider words that only contain a portion of the text you specified by checking or unchecking "Match whole word only".
  7. Click the "Search" button (if Auto Find is disabled).

Search Web Radio

You can search web radio stations for station names, sources and/or descriptions for matching text in one of the following ways:

  1. Click the "Find Music" item in the organization tree, select "Find Music" from the <Tools> menu, or press the "Ctrl+F" keys on your keyboard (this will open the Find Music Window).
  2. Click the "Web TV/Radio" tab.
  3. Enter the text you want to search for in "Find what" or select a previous entry from the list.
  4. Indicate the fields you would like to search on in "Look at".
  5. Indicate if the search should be case-sensitive by checking or unchecking "Match case".
  6. Indicate if the search should consider words that only contain a portion of the text you specified by checking or unchecking "Match whole word only".
  7. Click the "Search" button (if Auto Find is disabled).


About the Content View

The Content View displays the contents of the item currently selected on the organization tree. This quite often consists of a list of media files but can also be, if "Home", "Web Music", etc. is the organization tree selection, a browser window.

Editing, moving, playing and several other functions can be performed on items listed in the content view. Right click on items to display a popup menu that will indicate what functionality is available for the particular item(s) you have selected. Double-clicking on items in this view will often times send those items to Playing Now to be played, but can also have different effects. See the descriptions of the individual organization tree items for further information.

Multiple items can be selected by holding down the Ctrl or Shift key while making selections.

  • Clicking on items while holding down the Ctrl key will add items to the selection one at a time.
  • Clicking on items while holding down the Shift key will select a range of items.
  • Clicking on a previously selected item will unselect it.

The content view can be sorted, re-arranged and resized to suit your needs - see Modifying the Content View for more information.


Modifying the Content View

There are several options available to you for modifying the layout of the content view:

Layout Arrangement of the Content View
Sorting the Content View

Layout Arrangement of the Content View

If you are currently using the "Detail" layout style you can further modify the view by re-arranging and resizing the columns simply by dragging or stretching them. You can also modify the arrangement of the content view via the Content View Settings.

Sorting the Content View

If you are currently using the "Detail" layout style you can sort the contents of the view simply by clicking on the header of the column you want the contents sorted by. If the contents are already sorted on a column and you click on the header for that column again, the column is resorted in reverse order. You can also modify the sorting of the content view via the Content View Settings.

If you play the sorted playlist displayed in the content view the tracks will be played in the order they appear unless you have "Shuffle Tracks" specified on the player.


About the Player

Media Jukebox utilizes a dynamic, scalable, input plug-in architecture as well as both the Microsoft® and RealNetworks® media player components "under the hood" to provide you with the greatest playback flexibility in the industry. You choose to install components to work with Media Jukebox depending on the types of media you wish to play. While plug-ins will handle several common formats such as MP3, WMA, Wave, etc., if you have Microsoft® Windows Media™ Player and RealNetworks® RealPlayer® installed, you can play just about any media format from within one familiar environment. Get the free Microsoft® Windows Media™ Player at the Microsoft® Windows Media™ website and the free RealNetworks® player is available at the RealNetworks® download site.

By leveraging all three of these approaches instead of using a single, static, proprietary solution, we ensure that the user has the fewest problems with compatibility and the maximum choice in media formats.

Using the Player

There are several ways to control the Player:

Integrated Player Window
Player Menu
Hot-Keys
Mini-Player

Integrated Player Window

Drag your mouse over the image to display the different parts the player.

(Player shown in "mini-me" mode)

Additional Player Buttons

  • Toggle Playlist Use this button to toggle on and off the display of the current playlist within the mini-me player. ("mini-me" mode only)
  • Toggle Equalizer Use this button to toggle on and off the display of the equalizer within the mini-me player. ("mini-me" mode only)
  • Continuous On/Off If this option is ON, Media Jukebox will play all the tracks in the current playlist repeatedly. If it is OFF, Media Jukebox with player all the tracks in the current playlist once and then stop.
  • Shuffle On/Off If this option is ON, Media Jukebox will shuffle tracks as it assembles them into the Playing Now playlist. If it is OFF, Media Jukebox will order the tracks in the Playing Now playlist in the same order they were in when they were selected. (not shown, MEGA-ME mode only)
  • Buy CD Allows you to search online vendors for products related to an artist, album and/or track. See The "Buy CD" Button for more information.

Player Menu

Another way to control the playback of your selections is via the <Player> menu. The menu contains menu items for several of the commands available in the player window.

Hot-Keys

Likewise, there are hot-keys assigned to the various player commands that allow you to quickly control the player while typing without reaching for the mouse. The hot-keys also make it easier to configure infrared device software such as "X10's MP3 Remote Control" or "PCRemote" to control Media Jukebox with a remote control. See Media Jukebox Hot-Keys for a complete listing of the hot-keys.

Mini-Player

The Mini-Player is a limited, alternative interface to Media Jukebox. It is a limited interface, in that, it only offers control of the player and, optionally, a view of the current playlist and equalizer. In addition to supporting application skins, the Mini-Player supports another skinning technology specifically for skinning the player. See custom skins for more information.


The "Buy CD" Button

The "Buy CD" button provides a convenient way for you to: search an online vendor for products related to an artist, an album and/or a track; and purchase full rights to a MusicEx* file/album being previewed.

Search Online Vendors for Products

If a media file is being played when the Buy CD button is clicked, the default search criteria is set with any relevant information that can be extracted from the file being played. This is the case for ANY media file being played - it could be a file that has been imported into Media Jukebox or a file being streamed from an online source. A file does not have to be playing in order to use this utility to search for online products.

Purchase Rights to a MediaEx File/Album

If a MusicEx file is being played when the Buy CD button is clicked, you can click the Purchase button to quickly purchase the full rights to that file/album.

*MusicEx is J River's proprietary, licensed and secure, media file format.


Equalizer

Media Jukebox incorporates a 10-band equalizer that can modify the playback levels of any media files played by Media Jukebox input plug-ins. If the input plug-in implements its own equalization, the active equalizer settings will be sent to the plug-in for equalization. The equalizer also has a "preamp" setting which, essentially increases or decreases the volume.

The equalizer provides the ability to modify the playback levels of the track currently being played, load and save named (or themed) equalizer preset settings, and load and save equalizer settings for playback of a particular track.

The equalizer, as a component of the Playing Now view can optionally be hidden or displayed by a setting in the <View> menu. As a component of the "mini-me", the equalizer can be hidden or displayed by clicking the [image] button.

Equalization Presets

Media Jukebox provides several named (or themed) equalizer presets that can be used for playback of certain genres of media files . You can use these as is, or modify them and add to them to suit your needs. The following functionality is provided for equalizer presets:

  • Load Specify a named preset equalizer theme for current playback.
  • Save Specify an existing or a new named preset to store the current equalizer settings.
  • Delete Delete existing preset equalizer themes.

Per Track Volume and Equalization

You can specify equalizer settings for playback on a track-by-track by specifying per track equalization. To turn on per track equalization, make sure the equalizer is on and per track equalization is enabled by checking both "On" and "Track" on the equalizer. You can save the equalizer settings to the current track by selecting "Save to Track" from the equalizer menu.

DSP Plug-In Management

You can also quickly turn on and off, and switch between DSP plug-ins from the equalizer menu.


DSP

Media Jukebox contains built in DSP's (digital signal processors) that can enhance your music during playback. The internal DSP's are in the same location as the equalizer. You can toggle between the equalizer and the DSP's by using the Menu button.

DSP's are displayed in both the Playing Now view and on the "mini-me" player.

Explanation of Effects

Dynamic - normalizes your music on-the-fly to make all of your songs closer to the same volume... it will also compress the dynamic range to increase the apparent loudness

Stereo Boost - widens your music by emphasizing the differences between the speakers

Bass Boost - a low-bass boost designed specifically to enhance the "punch" of the music

Echo Boost - creates a "concert hall" like effect


Visualizations

Media Jukebox contains several visualizations that "show" you the audio as it is played. You can switch between visualizations by clicking on the visualization window with the left mouse button or by right-clicking and selected one from the popup menu. You can also stop the playback of visualizations by selecting "Disable Visualization" from the menu.

Visualizations are displayed in both the Playing Now view and on the "mini-me" player. As a component of the Playing Now view they can optionally be hidden or displayed by a setting in the <View> menu and they can be hidden or displayed by right-clicking on them in "mini-me" and toggling the setting in the popup menu.

Visualizaion Plug-In Management

You can also quickly turn on and off, and switch between Visualization plug-ins from the visualization popup menu.


Opening Media Files

Media Files

To open (play) media files that have not been imported into Media Jukebox, select "Open File..." from the <File> menu and type or browse and select the desired file.

Streaming Media Files

To open (play) streaming media files, select "Open Streaming File..." from the <File> menu and type the URL of the desired streaming file.

See Supported Media Types for more information on the media file types supported by Media Jukebox.


Importing Media Files

The Import Files utility provides an effective way to collect multiple media files without having to access multiple file folders on your hard drive individually.

Select "Import Files..." from the <Tools> menu or click the [image] button on the toolbar to display the Import Media Files window. This window contains a list of common media file types that you can individually include/exclude from your search by checking and unchecking them. File types can be added or removed from the list using the "Add Type" and "Remove Type" buttons.

You can search either all the local drives on the PC or a particular directory. To select a directory, enter the directory name and path in the box or click the "Browse" button and select a directory. When the Include Subdirectories checkbox is checked, the search will include all subdirectories within the selected directory.

After setting up the search, click the "Import" button to import the media files.

Media Jukebox will attempt to obtain as much information as it can about the files that meet the search criteria and include that information within the properties of each file. If information regarding the artist and/or album is found, Media Jukebox will organize the files accordingly. If no useful information is found the files will be imported into the "Unassigned" repository in the "Artist Library" section of the organization tree. See Reassign Media Files if the media files in your Unassigned collection conform to a naming convention in which the artist name is appended to the track name.

Media Jukebox will display a File Importing Results dialog when it is done importing the media files to report any errors that occurred during the import.

All the files recently imported will be displayed in the special "Recently Imported" repository for easy editing of newly imported files. This listing will be cleared when Media Jukebox is exited.

To import media files into a specific artist or album see "Artist Library".

Import Settings

Import using directory structure: This setting will use the directory structure to assign an artist and album to each song. For example, if you have a directory full of music organized like this: "c:\my music\artist\album\some songs.mp3", you could select "Import using directory structure" and point to the path "c:\my music\" so that Media Jukebox would use "artist" for the artist, and "album" for the album. The rest of the file information will be retrieved the same way as always. The first folder in from the specified directory (child folder) will be the artist, and the next folder in (grandchild folder) will be the album. If there is no grandchild folder, the album will be "Unassigned."


Deleting Media Files

Select the track(s) you want to delete from the content view of any item in the "Artist Library" or the "All Files" playlist and do one of the following...

  1. Click the [image] button from the toolbar -or-
  2. Right-click and select "Delete" from the popup menu -or-
  3. Select "Delete" from the <Edit> menu -or-
  4. Press the "Del" or "Delete" key on your keyboard.

There is a setting in General Settings that specifies whether or not the actual disk file is to be deleted when you delete the file from Media Jukebox.

Unless otherwise specified, deleting files from Media Jukebox just removes the reference to the file in Media Jukebox it does not actually remove the file from your hard drive. Any time the reference to a media file is removed from Media Jukebox, additional information (category affiliations, play count, per track equalization, etc.) is lost.

Delete All Media Files

You can delete all imported media files by deleting all the items in the "All Files" playlist or by clicking on "Artist Library" and deleting all items in the content view.


Media File Properties

One of the keys to powerful organization is the ability to describe your media files in great detail. Media Jukebox maintains several properties associated with each individual media file in your media library.

General Information

  • File Name The name and location of the media file on your hard drive. This is useful if the location of the media file has changed from the time you imported it to the present. Type in the new path to re-map the file in Media Jukebox to the actual media file on your disk. See Managing Disk Files for more information on disk file management.
  • Name The name of the media file - typically the track name. This can be synchronized with the disk file name if so specified in General Settings.1
  • Artist The name of the artist or author of the media file.1
  • Album The name of the album for the media file.1
  • Comment A comment that can be stored with the file.1
  • Genre The predefined musical genre the media file belongs to.
  • Year The year the media file was published or released. This must be a four-digit date.
  • Advanced ID3v2 specific information. See Advanced File Properties for more information.

Format

Media files can be encoded with a number of different formats and qualities. The format and quality, and some additional information about the encoding of media files of the types mp3, wma and jmx can be viewed in this section of media properties.

Category Selection

The user-defined categories that the media file belongs to. See categories for more information.

Volume Adjustment

Per track volume adjustment and equalization is done via the equalizer. See Equalizer for more information.

Editing a Media File's Properties

Select the file(s) you want to edit from the content view and do one of the following...

  1. Right-click and select "Properties..." from the popup menu.
  2. Click the [image] button from the toolbar.
  3. Select "Properties" from the <Edit> menu.
  4. Press the "Ctrl+Enter" keys on your keyboard.

1 Limited to 30 characters when stored as ID3v1 tag information, unlimited if stored as ID3v2 information. This information is also unlimited in the Media Jukebox database, so the limitation only applies when the files are ported to another application or removed and re-imported into Media Jukebox.


Advanced File Properties

Advanced file properties is additional file information including links, copyright information, lyrics, notes and an image. They are available for MP3 files only, as the information will be stored as ID3v2 tags. This information is displayed in the "Info" section of "Playing Now". See Playing Now for more information.


Locating in the Library

You can quickly locate a media file in the library by right-clicking on it in the content view and selecting "Locate in Library" from the popup menu.


Reassign Media Files

Many of the popular encoders offer the user the option of building the media file filename by appending the artist name to the name of the track. These naming conventions create filenames such as "Elton John-Tiny Dancer.mp3" or "(Lorie Line)_Hymne.mp3".

If media files named in this manner are imported into Media Jukebox and have not yet been assigned to an artist (therefore, they will still be located in the "Unassigned" collection), the user can use the "Reassign Files" feature to extract the artist information and reassign the files to the appropriate artists accordingly.

To reassign media files located in the "Unassigned" collection, select the files conforming to a common naming convention, right-click to bring up the pop-up menu and select "Reassign Files..." from the menu. Next select the naming convention matching that of your files and click OK. See the following examples f

Filename | Naming Convention | Reassignment
Elton John-Tiny Dancer.mp3 | ARTIST-NAME | Track: "Tiny Dancer" Artist "Elton John"
(Lorie Line)_Hymne.mp3 | (ARTIST)_NAME | Track: "Hymne" Artist: "Lorie Line"


Managing Disk Files

Moving/Copying Disk Files

To move or copy disk files, select the track(s) you want to move/copy, right-click to bring up the pop-up menu and select "Move/Copy Disk File...", and select or type the new path.

Renaming Disk Files

There is a setting in General Settings that specifies whether or not the actual disk file is to be renamed when you rename the media file "Name" property (or, track name) within Media Jukebox.

Deleting Disk Files

There is a setting in General Settings that specifies whether or not the actual disk file is to be deleted when you delete the media file from Media Jukebox.

Important Note:

If you delete, rename or move media files outside of Media Jukebox and the files have previously been imported, the files will become "disconnected" and Media Jukebox will not be able to locate them.

If this happens you can either remove the "disconnected" files and re-import them (this will result in the loss of data, such as, category affiliations, play counts, per track equalization, and other non-tag stored information) or you can "reconnect" them by specifying the new filename/path in the "File Name" property in Media File Properties.

If you choose to remove and re-import you can quickly remove all "disconnected" files by running the "Update Information" utility in the <File> menu.


Recorder - Copy your Records, Tapes and CD's to your Computer

Quick Overview...

The recorder allows you to create computer music files from any external source that can be plugged into your computer's sound card. All you need is a cable to go from an output jack on your external device to the line-in or microphone jack on your sound card. For example, you can connect a cable from the headphone jack on a portable cassette tape player to the line-in jack on the sound card, then you can create MP3 or Windows Media™ files from the song tracks on the tape.

Here are the basic steps to take:

  1. Connect the source device to your sound card.
  2. Adjust the volume on the source device to a comfortable listening level. If it's too loud, you will experience distortion on the recording, too soft and there will be a lot of background noise.
  3. Position the source material just before the first track.
  4. Click the [image] button on the toolbar or select "Recorder" from the <Tools> menu.
  5. If you like, enter the album name and/or the artist name. You may also click the "Track Names" button and enter all the track names. Or you can just accept the default names and rename the tracks later.
  6. Start the source device and then click the Start button.
When the end of the source material is reached, the recording will end. Click the Stop button to end the recording session and import the song files into Media Jukebox. Click Exit to close the recording dialog box. If you did not enter an album or artist name, the songs will be placed in the Unassigned section. Otherwise, they will be imported under the album and/or artist name you selected.

Dialog Options

Artist Name

If you enter an artist name it will be used to categorize the tracks when recording is complete. If you enter an artist name but not an album name or track names, the artist name will also be used to name the recorded tracks.

Album Name

If you enter an album name, it will be used to categorize the tracks when recording is complete. If you leave both album and artist names blank, the tracks will be placed in the Unassigned section. If you do not enter track names, the album name will also be used to name the individual tracks of the recording. If you don't enter track names, an album name or artist name, the tracks will be named according to the input source (i.e. "Line in", "Microphone", etc.).

Recording Level Meters

In the upper right of the dialog, there are left and right meters showing the current average volume levels being recorded. If you see little or no movement on these meters, your recording volume is probably too low. On the other hand, if the meters stay near the top of the scale, the volume is probably too high. In these cases, you may want to cancel the recording session and use the Auto volume adjustment button on the Options page before you resume recording.

Track Names

Clicking the "Tracks" button presents a dialog that lets you enter track names and times for a recording session. Often, you just want the program to create default track names which you can rename later. However, if you wish to do this before hand, select this option. You may optionally enter the track lengths in minutes and seconds to make the track splitting feature more accurate. However, if you enter incorrect track lengths, the track splitting feature may not work properly.

Track Columns

  • Track This is the track number for the current recording session.
  • Name This is the track name. If you don't enter track names using the Track Names button, they are named according to the album or artist name, or the recording source if no album or artist names were entered, and the track number. If the resulting track name already exists in your music directory, a copy number in parentheses is added to the end of the name to avoid overwriting the existing file.
  • Time This is the elapsed recording time for the track.
  • Status The status starts out as Recording, then shows the Encoding progress, and finally shows Finished. If an unrecoverable error occurred, the status will be Failed.

Start/Stop Button

Starts the recording session. Once recording is in progress, the button text will change to Stop and clicking this will end the recording session. After the Stop button is clicked, the remaining tracks are encoded and all tracks are imported into Media Jukebox.

Pause Button

This button is active during a recording session and clicking this causes the recording to pause. No music data is written to disk while the pause is in affect. To restart click the Start button.

Exit Button

Exits the recording dialog box. If a recording is in progress, it is cancelled.

Notes

  • Use the <Settings><Options><Recorder Settings> dialog to select the recording source to use and the recording volume. The title of the Recorder dialog box will tell you what recording source is currently selected, for example if your recording source is Microphone, it will say "Recorder [source Microphone]".
  • Use the <Settings><Options><Recorder Settings> dialog to set your preferences for automatic track splitting. This may need some adjustment to work optimally with different source material. You can also turn "track splitting" off but beware that very large disk files will be created while the recorder is running.
  • Use the <Settings><Options><Encoding> dialog to select your encoding (compression) preference.
  • Use the <Settings><Options><File location> dialog to select where on the hard disk your temporary and final music files should be saved.
  • Use the <Settings><Options><CD Settings> to select whether you want the temporary wave files created during the recording process to be saved or deleted. Use the check box labeled "Delete wave files when compression is done".
  • When the Start button is first pressed to begin a recording session, the status will display "Waiting for sound". The recorder will then wait until it detects the beginning of the source material before it starts recording.
  • Keep an eye on your free disk space. Since sound files use about 10 MB of disk space per minute, leaving the recorder running for a long time can take up a lot of disk space.

Troubleshooting

If the status just keeps displaying "Waiting for sound" even though you think it should be recording...

  1. Verify that your external device is connected to the correct jack on the sound card and that it is functioning properly and set to a comfortable listening volume.
  2. Verify that you have selected the correct recording source in Media Jukebox's <Settings><Options><Recorder Settings> dialog box, e.g. Line-in for the line-in jack on the sound card or Microphone for the microphone jack. The CD Audio source will record from your computer's CD drive only if there is an audio cable from the CD drive to your sound card.
  3. Also in the settings dialog, verify that you have selected a reasonable volume level for the recording source. For most circumstances this should be around 50% to give a good volume level without distortion.
  4. In the <Settings><Options><Recorder Settings> dialog, verify that the Gap level parameter is not set extremely high. It should normally be in the 1 to 15 percent range.

If the automatic track splitting feature isn't working properly...

Make the following adjustments in the <Settings><Options><Recorder Settings> dialog box:
  1. If too many tracks are being created (single tracks split into multiple), try increasing the Minimum gap between tracks parameter and/or lowering the Gap level parameter. You might try 2500 or 3000 for minimum gap or if you have a very clean recording source such as a CD player, try dropping the gap level to 2% or 3%.
  2. If not enough tracks are being created (multiple tracks combined into one), try decreasing the Minimum gap between tracks parameter and/or raising the Gap level parameter. You might try 1500 for minimum gap or if you have a somewhat noisy recording source such as an old well used cassette tape, try raising the gap level to 10-15%.
  3. If the beginning or end of a song track is getting cut off, it may be because the music is very quiet at that point and the Gap level parameter is set too high so the system thinks this is just background noise. Try lowering the gap level a couple percent.
To make the track splitting feature most accurate, use the Track Names button to enter track names and times. This assists the recorder in deciding whether a quiet spot is really an inter-track space or just a quiet section in the music. This is especially useful on classical recordings that have a lot of dynamic range. If you enter track times, you might also want to drop the Minimum gap between tracks parameter somewhat (maybe 2000).

If your recordings seem too quiet with a lot of background noise or are too loud with a lot of distortion...

Use the Auto volume adjustment tool in the <Settings><Options><Recorder Settings> dialog box to select a better recording volume level.


Converter - Converting a Media File's Format

Use the Converter tool to change media files from one format to another. For example you can batch convert wave files to MP3 or Windows Media™ format or vice-versa. You can also use the tool to change the quality level or bit rate of existing MP3 or Windows Media™ files.

Select the tracks you want to convert from the content view or select an entire item (Top 40 Playlist, Playing Now, My Favorites, etc.) from the organization tree and do one of the following:

  1. Click the [image] button from the toolbar
  2. Select "Converter..." from the <Tools> menu

The Converter dialog box shows the list of files you have selected and the currently selected conversion format. Click the Change button to choose a different format to convert your files to. Click Start to begin the conversion process.

Your original disk files will not be altered, Media Jukebox creates new files in your chosen format and points the playlist tracks to the new disk files. If the original file has the same name as the converted file, Media Jukebox renames the new file by appending a copy number after it. For example, if you convert an mp3 file called "Singing the blues.mp3" to another MP3 file with a lower bit rate, the new file will be named to "Singing the blues(1).mp3".

If you click the Cancel button during a conversion, the current conversion will be canceled and you will be asked if you want to save the results of conversions that are already complete.

NOTE: You can convert any file that you have an input plug-in installed for. The output format can be any format you have an encoder plug-in installed for.

Dialog Components

  • Change The encoder to use.
  • Name The name of the track to be converted.
  • Status Status messages from the conversion process.
  • Progress The progress of the current conversion process. For conversions from one compressed format to another (for example mp3 to Windows Media™), there will be both a decoding and an encoding process for each file.

Status Messages

  • Decoding The file is being converted from a compressed format to an uncompressed wave file.
  • Encoding The file is being converted from a wave file to whatever compressed format was chosen.
  • Failed... This will be displayed if a failure occurs in either the encoding or decoding process. This could be due to a number of different problems including a bad Media Jukebox installation, low disk space, a corrupt media file, a media file in use by another application, etc.
  • File not found This mean the disk file for the selected track was not found. The file must have been moved or deleted since it was imported into Media Jukebox.
  • Conversion not needed You will see this message if your conversion choice is uncompressed wave file and you choose a wave file for conversion.
  • Unsupported conversion You will see this message if you choose a file for conversion that you don't have an input plug-in installed for.
  • Complete This indicates the track was converted successfully.


CD Labeler

The "CD Labeler..." item on the <Tools> menu is a link to MediaFACE II® by NEATO®. This is a free, robustly featured, labeling utility that can be download from our website. Once MediaFACE II has been installed, selecting "CD Labeler..." will launch the application.


"mini-me" Mode

The "mini-me" mode can be used when you are simply playing media files with no need of direct access to the organizational tools the main Media Jukebox screen provides. The name is a bit misleading because the size and appearance of this player is based on the custom skin selected. And since skins can be designed to be very tiny, to take up as little screen as possible, or as full screen sized views of the player and playlist that can be viewed and controlled with a remote control from across the room, they could actually be much larger than the main screen.

Regardless of the size and appearance of the mini-player, certain functionality will always be available. You should always get a pop-up menu when you right-click on the window and you should always be able to control playback via the hot-keys.


Party Mode

Party Mode allows you to protect your media library while others are using Media Jukebox. It grants them full, non-destructive and non-intrusive use of Media Jukebox by allowing them to do just about anything, short of permanently saving or removing information from your media library.

To switch to party mode, check "Party Mode" from the <Mode> menu. To switch back to normal mode, uncheck "Party Mode" from the <Mode> menu.

When you switch back to normal mode, all temporary settings and changes that occurred while Media Jukebox was in party mode will be replaced by your original settings.

Forget your password?

If you forget your password you can clear it in the Party Mode password dialog by double-clicking on the "Man wearing the lampshade" image while holding down the Ctrl and Shft keys on your keyboard.


Overview of Skins

Media Jukebox supports two ways for users to "skin" or alter its appearance. It supports WindowBlinds compatible skins for altering the main application and its accompanying windows (the Application Skin) and it supports ActiveSkin compatible skins for altering the "mini-me" player (the "mini-me" Skin).

Application skins offer an alternative look to the otherwise tired, humdrum appearance of all the standard window components (i.e. borders, buttons, scrollbars, progress bars, menus, etc.), while the "mini-me" skins provide the ability to create completely freeform interfaces for the "mini-me" player specifically.

Location

Skins are located in the "Skins" subdirectory of the directory that contains the Media Jukebox program file (i.e. "C:\Program Files\J River\Media Jukebox\Skins"). Each skin is a collection of files located in a subdirectory of the above mentioned Skins directory. Among the files in this directory are the User Interface Script file (.uis) for the application skin and, optionally, the single "mini-me" player skin file (minime.skn). If there is no minime.skn file associated with a particular skin, the "mini-me" player is skinned with the application skin. Below is an example of a listing of a skin directory:

Distribution

Both application skins and "mimi-me" skins are bundled together for distribution purposes in Media Jukebox Package files (.mjp). See the Skin Manager for more information about downloading and installing new skins via package files.

You can manually add skins to be used with Media Jukebox by creating a new skin subdirectory in the skins directory and copying all the files associated with a particular WindowBlinds compatible skin to that directory. (Note: The name of the skin subdirectory and the name of the uis file must be the same. See the MySkin example above.) The next time you use Skin Manager, your new skin should appear in the list of available skins.

For a complete listing of WindowBlinds compatible skins, visit the WindowBlinds or Skinz.org websites.

See also:
Create your own Application Skin
Create your own "mini-me" Skin


Skin Management

Skin management, such as, switching, downloading and deleting, can all be done via the Skin Manager or the <Skins> menu.

NOTE: Some video adapters/drivers experience drastic performance loss accommodating "skinning". If you are experiencing performance problems, check "Disable Skinning" on the <Skins> menu.

Skin Manager

The Skin Manager displays a list of skins that you have previously downloaded* that can be selected and applied to the Media Jukebox application.

To use the Skin Manager, do one of the following:

  1. Click the [image] button from the toolbar -or-
  2. Select "Skin Manager..." from the <Skins> menu

Skin Manager Commands

Apply

Select the skin you wish to apply to Media Jukebox from the list and click the Apply button. Double-clicking on an item in the list has the same effect.

Delete

Select a skin you wish to delete from the list and click the Delete button to remove it from the list. This WILL delete the skin from the disk.

Download

Click Download to visit the Media Jukebox Skins website to view the latest skins available for download. Click on the image to download a particular skin and it will automatically be downloaded and applied to the application.

Browse

Click Browse to import skins from distribution zip files previously downloaded to your machine.

* See Skin Distribution for more information on acquiring skins to be used with Media Jukebox.


Create your own Application Skin

Media Jukebox uses WindowBlinds compatible skins for the application skins. Refer to the BuilderBlinds website for information and tools for creating your own WindowBlinds skins.


Create your own "mini-me" Skin

Media Jukebox uses ActiveSkin compatible skins for the "mini-me" skins. Refer to the Softshape ActiveSkin website for information and tools for creating your own "mini-me" skins.

See Components of a "mini-me" Skin for more information on specific design criteria for creating "mini-me" skins.


Components of a "mini-me" Skin

The "mini-me" skin interface communicates with Media Jukebox by way of named components, or objects. As you create your skin you can define certain images or portions of images to have the behavior of a play button, volume knob, etc. simply by labeling them appropriately.

The complete listing of valid "Named Objects" for the player and playlist skins are listed below:

Named Objects for the Player

Name | Function
form.Player | Defines the skin to be used for the player
Body | Defines the overall size of the skin
PlayButton | Click to play current track / Displays player (play) status
StopButton | Click to stop player
PauseButton | Click to pause current track / Displays player (paused) status
PreviousButton | Click to play previous track
NextButton | Click to play next track
TrackDisplay | Track information display window
TrackSliderPath | Defines the horizontal or vertical path the TrackSlider follows
TrackSlider | Drag to set the track position / Displays the current track position
VolumeSliderPath | Defines the horizontal or vertical path the VolumeSlider follows
VolumeSlider | Drag to set volume / Displays volume setting
VolumeKnobPath | Defines the center-point and path the VolumeKnob follows
VolumeKnob | Drag to set volume / Displays volume setting
VolDownButton | Click to decrease volume
VolUpButton | Click to increase volume
CloseButton | Click to close Media Jukebox
MegaButton | Click to return to Media Jukebox main screen
PlaylistButton | Click to open/close playlist window / Displays current playlist (open/close) status
Extents | Defines the optional docking point of the playlist window
VendorLink | Click to jump to vendor website

Named Objects for the Playlist

Name | Function
form.Playlist | Defines the skin definition to be used for the playlist
Body | Defines the overall size of the skin
Playlist | Double-click to select track to play / Displays current playlist
VScroll | Defines the vertical scrollbar
ScrollUp | Click to scroll up
ScrollDown | Click to scroll down
ScrollBar | Drag to scroll up/down / Displays position of current track in playlist

Refer to the Media Jukebox website to download skin examples and to find out more about the tools required to create your own skins.


Changing a Font

Changing the Font

Media Jukebox allows you to select a font which means that the media file information is readable even if it’s written in Russian (assuming that you can read Russian!).

To change the font select "Select Font..." from the <Settings> menu or press Ctrl+T and select the new font.


General Settings

Interface

  • Minimize to System Tray If this option is checked (default), Media Jukebox will be added to the system tray when minimized, otherwise it will be placed in the task bar.
  • Go to station's web site during listening If this option is checked (default), Media Jukebox will display the web site associated with the TV/Radio station being played.
  • Jump to Playing Now during playback If this option is checked (default), Media Jukebox will open Playing Now if two or more media tracks are selected for playback.
  • Make mini-me transparent when not active (Win2k) If this option is checked and you are running Windows 2000, the mini-me player will be displayed transparently when it is no longer the active application.

ID3 Tag Information

  • Change the tags when file info changes If this option is checked (default), Media Jukebox will modify the tag information of the media file when the user modifies the properties.
    • Update ID3v1 If this option is checked in conjunction with the above option, Media Jukebox will update ID3v1 tag information.
    • Update ID3v2 If this option is checked in conjunction with the above option, Media Jukebox will update ID3v2 tag information. Performance Issue: Because ID3v2 tag information is stored at the beginning of the file, the entire media file must be rewritten when changes are made to the tag information. And due to the size of the media files this can drastically effect performance.
  • Ignore tag information during file import If this option is checked, Media Jukebox will ignore tag information when importing media files. This can be helpful when the tag information is unreliable and inconsistent resulting in a scattering of imported files. For example, if the tag information for three files lists the artist as "ELO", "E.L.O." and "Electric Light Orchestra" and this option is not checked, Media Jukebox will deposit the files in three distinct artists accordingly.

Disk files

  • Delete disk file when deleted from the Jukebox If this option is checked, Media Jukebox will delete the media file from your hard drive when you delete it from the jukebox.
  • Rename disk file when renamed in the Jukebox If this option is checked, Media Jukebox will rename the media file on your hard drive when you rename it in the jukebox.

Media Scheduler

  • Enable Media Scheduler on Windows startup If this option is checked, Media Scheduler will automatically start when you start your computer. For more information about Media Scheduler, click here Media Scheduler.


Startup Settings

  • Show splash screen Check this option if you want the introductory splash screen displayed every time Media Jukebox is started.
  • Open Media Jukebox in mini mode Check this option if you want Media Jukebox to start out in mini mode. This is the "tiny" mode which also supports different skins so you can customize the look. Alternatively, you can start mini mode from the toolbar or the Player menu.
  • Select new skin on Media Jukebox start If this option is checked, Media Jukebox will randomly select and apply a new application skin from the skins you have downloaded every time it starts.
  • Check for updates every X day(s) If this option is checked, Media Jukebox will check on the internet for updates of the program and installed plug-ins. You can specify an alternative number of days between checks. This will only work if you are connected to the internet when the program is started.
  • Start playing current playlist If this option is checked, Media Jukebox will start in the "Playing Now" view and begin playing the last saved current playlist.
  • Startup Volume Check this option if you want Media Jukebox to adjust the volume at startup. Use the slider control to set the volume to where you want it to be each time Media Jukebox is started.


Content View Settings

Tree & View Settings

Organization Tree Fields

Check the items in this list to indicate which sections you want displayed in the organization tree (the left-hand window in Media Jukebox). For example, if you do not use handheld music devices, you may want to remove this section from the organization tree. The items with a gray check [image] are defaults and cannot be deselected.

Content View Fields

Check the items in this list to indicate which columns you want displayed in the content view (the right-hand window in Media Jukebox). For example, if you don't want to see the Year column, switch it off here. Use the same method explained under Organization Tree Fields above for selecting and deselecting the columns.

Appearance

  • Show grid lines in the Content View If this option is checked, Media Jukebox will display grid lines in the content view.
  • Show Tooltips on the Organization Tree If this option is checked, you will see little yellow help boxes called tooltips appear when you place your cursor over the different items in this window.

Sorting

  • Enable Auto Sorting If this option is checked, Media Jukebox will automatically sort the items in the content view on the "Sorting Field" selected. NOTE: Auto sorting will be disabled for Albums & Playlists if they are have play order.


CD Settings

CD Playback

Media Jukebox can play audio CD's in either digital or analog mode. In analog mode, there must be a cable connected from your cd drive to your sound card. If your drive is capable of it, it is usually preferable to select digital playback which allows you to use the equalizer and view visualizations.

Use CDDB

Media Jukebox uses the CDDB2 Disc Recognition ServiceSM (DRS) from CDDB, Inc. to get the artist, title, track, credit, and other information about the CDs you play. This service is FREE and automatic. The first time you use the service, you must register with CDDB.

To register with CDDB, just play a CD with Media Jukebox. The CDDB Registration Wizard appears automatically. Follow the screens for a “New Registration” to select a “nickname” and password. The remaining information is optional, but does help CDDB provide better service. Once you register, you do not have to re-register, unless you want to change your registration information or settings.

For more complete instructions on using the CDDB service, click here.

If this option is checked and you are connected to the internet, Media Jukebox will automatically determine the CD title, artist name, and all track titles for just about any audio CD you place in your computer. To accomplish this, Media Jukebox communicates across the internet to a service called CDDB which maintains a comprehensive database of CD information.
  • Server Timeout This is the maximum amount of time that Media Jukebox will spend trying to connect to the CDDB server before giving up.
  • Advanced Options This displays the advanced options for configuring CDDB. It will allow you to specify a language and set up a proxy server. (if necessary)
  • MAX cache size This is the maximum amount of disk space that CD information downloaded from CDDB can consume
  • Flush Local Cache This clears any information that has been downloaded from CDDB off of your computer
  • CDDB Registration Use this button to change your CDDB registration information.

CD Copy

  • Copy mode Choose between three digital ripping modes or choose analog ripping. (on Windows NT systems with IDE Cd-Rom drives, the different digital modes have no affect)
    • Digital Large Buffer This is the default and fastest mode - use it unless you are having problems. Multiple sectors are read from the CD at once to improve performance.
    • Digital Small Buffer Try this first if you are getting "Aspi" errors. Some cd-rom drives can't handle a large buffer.
    • Digital Unbuffered This is the slowest digital method and should only be selected if you are having problems with the buffered methods. It reads one sector at a time from the CD and may work better on older systems that have slower CPU's.
    • Digital Error Correcting Use this method if your recorded tracks have clicks or pops in them. This indicates that your cd-rom drive does not position itself accurately during digital ripping leading to a defect called "jitter". In error correcting mode, the software reads overlapping sectors and then synchronizes the data before writing to disk.
    • Analog If none of the digital modes work for you, you may have a cd-rom drive that is not capable of digital ripping. In this case you can choose analog mode and set the recording volume as described below. This is the slowest ripping method and will take the same amount of time to rip a track as it would to play it. Note that analog ripping only works if your cd-rom drive is connected to your sound card. If you can listen to audio CD's on your computer then analog ripping should work.

Analog Copy Volume

If you choose analog mode for CD copying, Media Jukebox will play the tracks and record them with your sound card. The recording volume should be adjusted to get adequate volume without distortion - too low and the background noise will mask the signal, too high and there will be unpleasant clipping distortion. If it's adjusted correctly, the sound may be just as good as on a digital copy. Put an audio CD in your drive and press the "Auto" button. Press the "Start Test" button and in about 90 seconds Media Jukebox will automatically select the best volume.


Encoding Settings

These settings determine what type and quality of encoding (compression) to use during the encoding process of Ripping, Recording, or Converting.

Compression

  • OGG Vorbis This creates files in the increasingly popular OGG format. This format is very compact and has quality which many consider superior to MP3. Unlike MP3, it requires no license fee.
  • Windows Media Audio This creates Microsoft Windows media format files.
  • External MP3 This creates MP3 files using an external encoding program. If you choose this option you must also verify that the "EXE path" and "Parameters" sections are filled in correctly. Click the Advanced button to check this information.
  • Uncompressed Wave If this option is chosen, the incoming music files are not compressed. They are left as "wave" files. Be aware that using this option, the data will take up about 10MB of disk space per minute of music.

The above encoders come by default with a new Media Jukebox installation. However, encoders use a "plug-in" architecture so you can download additional ones from the Media Jukebox encoder plug-ins web page. If you already own a command line MP3 encoder such as Xing, Blade, Lame, or Gogo, you can use the external mp3 encoder and fill in the correct command line options. Or you may download an "internal" mp3 encoder such as Gogo, Lame, or DM from the encoder web page, however you will only have free use of the encoder for 30 days after which you will have to pay to continue using it.

Quality

This is where you choose the best compromise between sound quality and the amount of disk space the music will consume.

  • For CBR encoding you have a list of encoding rates (kbits per second) to choose from. The lower this number, the more music you can fit on the disk but the poorer the sound quality. On the other hand, a higher number gives better sound quality and uses more disk space. The default is 128 kilobits of data per second of music which works out to roughly one million bytes per minute. This is the number that most people agree maintains CD quality sound while giving an excellent compression ratio. If you will be listening on home stereo equipment rather than your computer, you may prefer the 160 or 192 kilobit settings however.
  • For VBR encoding you have five bitrate choices to balance compact size vs. sound quality:
    • Low Highest compression. This might be a good choice to fit the maximum number of tracks on a portable MP3 player for example.
    • Normal/Low Near CD quality. This would also be a good choice for portable MP3 players.
    • Normal CD quality. This may be the best choice for most people especially for listening to music on your computer.
    • Normal/High CD quality. This might be a better choice for listening to music on home stereo equipment.
    • High Archival quality. This would be a good choice for top quality home stereo equipment.

Advanced Button

If you choose the Internal MP3 compression option, an Advanced button is available to give you some advanced options for MP3 encoding:

  • Force Mono Mode Checking this will cause the encoder to create monaural files instead of the default stereo format. Of course if the file being encoded is mono to begin with, the output will be mono regardless of whether this option is checked.
  • Enable Psycho Acoustics If you check this option, the encoder will try to compress the music data further by eliminating more sounds that the human ear cannot detect. Usually however, this option doesn't affect file size a great deal and it slows down the encoder significantly.
  • Disable Low-pass Filter Checking this option (the default) preserves all sound frequencies in the output. If it is not checked, frequencies above 16khz will be cut off to reduce output file size. Most people cannot hear sounds that are above this frequency.
  • Use Multiple CPU's for Encoding Make sure this is checked if you are running Media Jukebox on a multiple processor computer. This will distribute the encoding process among the CPU's to greatly speed up encoding time. This option has no effect on single processor computers.

Normalize before encoding

If you enter a value other than zero here, the volume of your music data will be raised (or lowered) to the percent of maximum that you specify before encoding. Usually you will either set this to zero to turn it off, or use a value between 95 and 100%. See the topic Normalization for more details. .

Delete wave files when encoding is done

When media files are encoded, a temporary "wave" file is created which is then converted to the desired media format and saved to the final media file. This option should be checked if you want the system to delete this temporary file after encoding is complete. The location of temporary and final media files are set in the<Settings><Options><File location> dialog.

Rip and encode simultaneously

When this is checked and you are ripping (copying) a CD, previously ripped tracks will encode while the current track is ripping. For example, if you are ripping two tracks from a CD, the first one will rip, then when that completes and the second track will rip while the first one encodes. This may not work well on older computers with slow CPU's. If this is the case, uncheck this option.


CD Writer Settings

CD Writer

Lists the writable CD-ROM drive to be used for writing the audio CD. If your writable CD-ROM drive(s) are not listed, click the Detect button and Media Jukebox will scan your system for them.

Write Speed

The CD write speed. Possible values are 1x to 12x or "Max. Speed". If the speed specified is greater than the hardware capabilities, the hardware's maximum write speed will be used. If you select "Max. Speed", the maximum speed supported by your CD will be used. Some computer systems cannot handle the top speed of a CD writer so if you experience problems, the first thing to try is to lower your writing speed.

Priority

Sets priority by which Media Jukebox will use Windows system resources (processor time) during the writing process. The higher the priority, the more processor time Media Jukebox can use during the writing process. The choices are Low, Normal, and High. If you select High priority, your system may be less responsive to mouse clicks and other user actions during the CD writing process.

General Options

  • CD Capacity Choose 74 or 80 minute CD capacity. Although 74 minutes is the standard, you can select 80 minutes if your media and CD writer support it.
  • Test Mode If this option is checked, Media Jukebox will test the CD writing process without actually writing to the disk.
  • Eject after write If this option is checked, Media Jukebox will eject the CD when it completes.

Audio CD Options

  • Normalize before writing If you enter a value other than zero here, the volume of your music data will be raised (or lowered) to the percent of maximum that you specify. Usually you will either set this to zero to turn it off, or use a value between 95 and 100%. See the topic Normalization for more details.
  • Add two second gap between audio tracks Select this option to place two second gaps between the audio tracks on your CD.


Converter Settings

These settings determine how the Converter tool operates.

  • Move to location Specifies a location to put the output files of the converter. If no directory is specified, it will place the files in the same folder as the source files.
  • Updates Media Jukebox database This updates the Media Jukebox database to contain the new, converted files. (if you convert a batch of .wav files to .mp3, the database will be updated to include the .mp3 files)
  • Send original files to the Recycle Bin This erases the original source files after a successful conversion. (again, if you convert a batch of .wav files to .mp3, it'll recycle the .wav files)


Recorder Settings

Recording Source

Choose the source and volume level for your recording. Line-in records whatever device is plugged into the "line in" jack on your sound card. Microphone records whatever is plugged into the "mic" jack on your sound card. CD Audio records in analog mode from your computer's CD drive. CD Audio only works if you have an audio cable connected from your CD drive to your sound card. Mixer records directly from the sound card regardless of the source.

When you select Mixer, you have complete control of what gets recorded. Double click the speaker icon in the system tray and select Options->Properties->Recording and check all the recording sources you want to control. Now set the volume, mute, and balance controls the way you want and begin recording. If there is an "All" or "Sum" recording source in the mixer, use that to control the overall recording volume.

Recording Volume

The volume control sets the recording level. This has a large impact on the quality of your recordings - too high and you will hear a lot of distortion (crinkling and crackling sounds during loud sections), too low and the background hiss will overpower quiet parts of the music.
Use the Auto button to let Media Jukebox automatically adjust the volume to get the best compromise between loudness and low distortion. Press Auto, start your audio device playing at a relatively loud section, then press the Start Test button. After about 30 to 60 seconds of monitoring the input signal, the volume will be set to the best value. If the system can't get adequate signal even with the recording volume set to maximum, it will suggest that you increase the volume on your external audio device and run the test again. On the other hand, if it can't get rid of clipping distortion even with the recording volume set to minimum, it will suggest that you decrease the volume on your external audio device and run the test again.

Split tracks

When this is checked, Media Jukebox automatically senses the silence between song tracks during a recording session and creates separate files on disk for each track. The settings here determine how the gaps between tracks are recognized by the system. See the "Troubleshooting" section of Recorder Help for more information on how to make adjustments.
  • Minimum gap between tracks (ms) When Media Jukebox detects a silent section for this length of time, it considers it the start of a new track. This value is in milliseconds (1000 = 1 second).
  • Maximum gap level (percent) This is how Media Jukebox determines there is a "silent" section in the music. Since there is always some background noise in any source material, there is never true silence. The number here represents a percentage of the maximum volume level that the source is capable of. When the recording level falls below this percentage, Media Jukebox considers it to be silence.
  • Minimum track length (ms) Any tracks shorter than this value will be discarded. The units are milliseconds so for example if you don't want to keep anything shorter than 5 seconds, enter 5000 here. Set this to zero if you don't want any tracks discarded.


File Naming & Location Settings

You may want to change the defaults for these if your C: drive is low on space and you have a second, larger drive in your computer. Refer to the sample at the bottom of the options page to verify you have selected/specified the desired file naming and location options.

Recorded Music Files Base Location

This is the base directory where Media Jukebox places recorded music files.

Temporary Files Location

This is where Media Jukebox places temporary files while they are being copied or recorded.

Create Subdirectories Using...

  • Artist Name Check this box if you want Media Jukebox to create a subdirectory of the base directory using the artist name.
  • Album Name Check this box if you want Media Jukebox to create subdirectories of the base (or artist) directory using the album name.

Track File Naming

  • Mask The mask is the rule which Media Jukebox will use to name your media files. The mask has two main components: the first are the predefined filename attributes (artist, album, track# and trackname); the second are any other characters you want to add to the mask to separate attributes or simply to help clarify the filename. The predefined filename attributes are enclosed in the brackets <> and will be replaced with the actual attribute values to create the filename. Avoid using the following characters * / \ :
  • Clear Click on this to clear the mask.
  • Add track name piece Select the filename attribute from the list to add it to the end of the mask.
  • Sample This displays a sample of what the file naming and location options you have selected/specified will produce.


TV Tuner Settings

List of channels:

This is a listing of channel names and numbers. The names can be edited to reflect the content ("CNN" for example).

Scan

Clicking this button will cause the system to scan for all available TV channels on the cable or antenna connected to your TV tuner card. The channels found are displayed in the list box. This operation may take several seconds to complete.

Add

Clicking this button causes a dialog to appear where you can manually enter the name and number for a channel.

Edit

Select a channel and click the Edit button to change the name and/or number of the channel.

Delete

Select one or more channels and hit the Delete button to remove them from the list. Hit the Delete All button to remove all entries.


File Association Settings

You can instruct Media Jukebox to become the default player for various types of music files. This means that when you double click a file on your computer or click on a web page file with one of these extensions, Media Jukebox will play the file for you.

You can specify Media Jukebox as the default Audio CD playback utility by checking the Associate with Audio CD's option.

If Always take control of file types... is checked, Media Jukebox will register all the file types with the Windows operating system when it starts up. Make sure this is checked if you want your changes to take affect.

To update the list of file types that can be associated with new versions and builds of Media Jukebox, select "Check for Updates..." from the <Help> menu.


Plug-In Manager

Use the Plug-In Manager to configure, download and delete a variety of Media Jukebox plug-ins. The plug-ins, like the skins, are distributed via compressed Media Jukebox Package files (.mjp) and can be found on the Media Jukebox website.

To use the Plug-In Manager, select "Plug-In Manager..." from the <Settings> menu.

Plug-In Manager Commands

Configure

Select the plug-in you wish to configure from the list and click the Configure button. If the Configure button is disabled, there are no configurable settings available.

Delete

Select a plug-in you wish to delete from the list and click the Delete button to remove it from the list. This WILL delete the plug-in from the disk.

Download

Click Download to visit the Media Jukebox Plug-Ins website to view the latest plug-ins available for download. Click on the plug-in name to download a particular plug-in and it will automatically be downloaded and loaded.


Overview of Media Server

Media Server is a break-through technology that allows on-demand streaming of your music. Rip once, play anywhere.

Using Media Server

To use Media Server, simply start the program "Media Server." (it's on the Start menu, right next to Media Jukebox) Then, hit the Start button inside of Media Server. It's that easy. Hit the Stop button when you want to shut down the server. You can also launch Media Server from inside of Media Jukebox by selecting the "Start Server" item on the "Servers" menu.

Explanation of Settings

MAX number of users: the maximum number of simultaneous streams that the Server can output (currently limited to 3)

Server port: the port number to use for the server streams (the default is 8931, which should be fine unless you have specific reason for choosing a different port)

Security (name / password): if you fill these fields in, anyone attempting to log onto your server will need to know these to connect (when connecting, they'll be prompted with a popup dialog asking for their name and password)

Connecting to a Server

To connect to a Media Server, start Media Jukebox, and from the "Servers" menu, select "Manager..." Then, from the manager dialog, add the location of a server, choose it from the list, and click "Connect." The server name can be a host name or an IP address followed by a colon and the port number if you wish to specify a port. (the default is 8931) Here are some examples of what valid host names might look:

  • music.jriver.com
  • music.jriver.com:8931
  • 198.121.98.76
  • 198.121.98.76:8931
  • MyComputerName

Disconnecting

Select "Disconnect" from the "Servers" menu when you want to end your connection to the server.


Overview of Media Scheduler

Media Scheduler is a light-weight helper program for Media Jukebox that provides several handy features. First off, it provides a way to schedule Media Jukebox related tasks like recording web broadcasts, or starting and stopping Media Jukebox at specified times (handy for being a sleep-timer or alarm clock). Secondly, it provides an easy way to control what file associations Media Jukebox owns and can even optionally reclaim lost associations every so often. Lastly, Media Scheduler is a handy launching station for Media Jukebox and Media Server - providing a quick way to start either program.


Scheduling Tasks

Media Scheduler can schedule Media Jukebox related tasks like recording broadcasts at a certain time, or starting and stopping at a certain time.

Manipulating Tasks

To edit Media Scheduler's tasks, right-click on the Media Agent icon in the task-bar (next to the clock on the Start menu) and choose "Edit Timers." This dialog will allow you to configure what Media Scheduler does, and when.

  • Adding a One Time Action From the "Action Timers" dialog (open as described above), click the "Add One Time Action" button. Then, just fill in the fields as desired and leave Media Scheduler running, and it'll execute the task at the specified time.
  • Adding a Periodic Action From the "Action Timers" dialog (open as described above), click the "Add Periodic Action" button. Then, just fill in the fields as desired and leave Media Scheduler running, and it'll run the task whenever the time is right.

Available Tasks

  • Start Media Jukebox This task will start (and stop) Media Jukebox at the specified times. If you configure Media Jukebox to automatically start playing when it starts, this feature can be used as a sleep timer, or alarm clock.
  • Start Recording This task will start Media Jukebox and record for the specified times. Recording uses the settings from Media Jukebox, so be certain that Media Jukebox is properly configured when performing this task.


File Associations

Media Scheduler can set what file extensions (i.e. .wav, .mp3, .ape, etc.) that Media Jukebox controls.

Editing File Associations

To edit Media Jukebox's file associations, right-click on the Media Agent icon in the task-bar (next to the clock on the Start menu) and choose "Edit File Associations." This dialog will allow you to configure what files Media Jukebox is associated with. You can also use the "Check and claim file associations every X minutes" to have Media Agent automatically reclaim any lost associations every "X" minutes. This is handy in case other programs have stolen the file associations.


Welcome to Media Editor

Media Editor provides an easy, efficient way to edit your media files.

The Big Picture

Think of all the things that a word processor allows you to do with a standard text document - move words around, add new stuff, edit the existing content, and a whole bunch of other great things. Well, try to think of Media Editor as a tool similar to that word processor, except that it edits sound files instead of text documents. So, what are some of the things you can do with Media Editor?

  • "See" your sound - the handy interface allows for easy viewing and navigation of your sound files... have you ever wondered what a wicked guitar riff looked like?
  • Change your existing audio - a wide selection of available transforms allows you to change the existing sound anyway from changing the volume, to equalizing, to applying Winamp DSP effects
  • Easily add, remove, and mix clips - get rid of that annoying silence at the end of your songs, or mix a hilarious sound clip into your recording of the State of the Union Address.
  • Generate some funky sounds - you can use the "Generate" feature to create some crazy effects... for those of us that wonder how high of a frequency our cats can hear, or have always wanted to compose a symphony using touch-tone phone signals.

Where Do I Go From Here?

To learn more about the Media Editor, read through some more help topics, or else just start playing around with the program... who knows, maybe it'll just make sense.


Key Features

Powerful - Media Editor has a ton of great, built in effects and sound generators. On top of that, it can use Winamp DSP plugins to manipulate your music.

Professional Quality - Media Editor performs *all* of its internal manipulations (transforms and generates) using 32-bit floating point data to ensure maximum accuracy.

Fast - Media Editor's novel approach to editing huge files makes quick work of editing even the largest of files.

Multiple Format Support - Media Editor can open and save any of the many, many formats that are supported by Media Jukebox.

Pretty - We don't want to be too vain, but Media Editor looks pretty sweet with its trippy skin support.


What's New in Media Jukebox?

What's New in Media Editor?

New in Media Editor 1.0

  • Everything! That's right, Media Editor 1.0 is brand new!


The View

What am I looking at?

First off, remember that sound is simply a wave. Next, remember that digital audio is just the representation of that same wave using a bunch of numbers. Well, this is accomplished by "sampling" the height of the wave many, many times per second. So, what you're looking at in the Media Editor is actually a picture of the sound wave. If you zoom in far enough, you can even see each individual "sample".

How do I navigate around?

There are a lot of ways to cruise around the view. First, using the buttons on the toolbar and menu is a good start. Here's an overview of how to do most things:

  • Zooming - you can zoom by using the menus, toolbar, or the mouse wheel. Also, using the middle mouse button will zoom to whatever you have selected.
  • Moving around - to move around, look at the red bar at the bottom of the wave (below the time scale) This is like a scroll bar. The length of the entire bar represents the whole file, and the red portion represents what you're currently viewing. You can click anywhere in the black to move the view window (red) to that location, or you can drag the red view window around. You can also use the left-right arrows in the bottom right corner to page left and right.

How do I make a selection?

To make a selection, just hold in the left mouse button while dragging over some of the audio. (just as you would in a word processor) To select only one channel, move the cursor up or down while selecting. Also, you can use the "handles" on the edge of the selection to adjust what you've already selected.


Generates

Generates are tools that allow you to create new sounds. To use a generate, simply move the cursor to where you'd like to insert the new sound, and choose a generate from the Generate menu. Every generate has a more or less standard interface that allows generate specific settings, and the ability to preview the new sound.

Available Generates:

Silence: creates silence

Noise: creates the specified color of noise

  • white - purely random numbers....sounds slightly unnatural and harsh
  • pink - colored to sound more natural than white noise (less high frequency energy)
  • brown - different than the first two... just listen to hear the difference

Tone: creates a solid tone at the specified frequency

Tone Sweep: generates a tone sweep between the two specified frequencies

Telephone: simulates the dialing of a touch tone phone


Transforms

Transforms are tools that allow you to alter your selection. To use a transform, simply make a selection, and choose a transform from the Transform menu. Every transform has a more or less standard interface that allows transform specific settings, and the ability to preview the effect.

Available Transforms:

Adjust Volume: alters the volume of the selection by the selected percentage (-100% creates silence, and +100% doubles the volume (+6dB))

Normalize: adjusts the volume so that the peak level in the selection reaches the desired level (normalizing to 100% adjusts all the values to their maximum without clipping)

Dynamic Boost: makes all of the audio closer to the same volume by boosting lower volume sections more than high volume sections... this transform can help make the music or voice more "even" and it will increase the apparent loudness

Fade: allows various fades (where the volume gradually decays or grows)

Stereo Mixing: this transform allows you to mix the audio according to its middle/side properties. Middle is everything that the channels have in common, and side is everything that's different between the channels. For example, boosting the side level (Stereo Boost) can create a wider sound because it emphasizes the differences between the speakers.

Reverb: adds reverb to the audio and creates the quasi-effect of being in a concert hall

Equalize: allows the selection to have different frequencies boosted or cut, much like the equalizer included in Media Jukebox.

Winamp DSP: this transform allows you to use any Winamp DSP plugins that are installed in Media Jukebox to transform your audio.


Acknowledgements

Copyright

© 1998-2001 J. River, Inc. All rights reserved.

This manual and the software described in it are provided under license and may be used or copied only in accordance with the terms of the license. The information in this manual is provided for informational purposes only and is subject to change without notice. J. River, Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual.

Media Jukebox, Digital Exchange Technology, and M-commerce are trademarks of J. River, Inc. Other marks are the property of their respective owners.

CD-related data through the Internet from the CDDB™ Music CD Database, Copyright 1999, 2000 CDDB, Inc. CDDB Client Software, Copyright 1999, 2000 CDDB, Inc.
CDDB-Enabled, CDDB, CDDB2 and the CDDB Logo are trademarks of CDDB, Inc. Disc Recognition Service and DRS are service marks of CDDB, Inc.

Disclaimer of Warranty

The software and related manual are provided "as is." J. River, Inc. makes no representations or warranties with respect to the software and manual and disclaims any express or implied warranties of merchantability or fitness for any particular purpose. J. River, Inc. reserves the right to make changes to any and all parts of the software at any time without notice.

J. River, Inc.
125 North First Street
Minneapolis, MN 55401
USA

www.jriver.com


Technical Support

Please seek technical support for Media Jukebox in the following order:

This Help File | If an exhaustive search of this help file doesn't produce an answer, let us know.
FAQ | Frequently Asked Questions webpage
How To | How To webpage gives tips on some of the trickier functionality of Media Jukebox.
Interact | Search existing threads or post a new question.
Email | support@jriver.com
Voice: | (612)339-2521
Fax: | (612)339-4445

Or stop by...

J. River, Inc.
125 North First Street
Minneapolis, MN 55401 USA


Using the Clipboard

Media Jukebox supports the Windows Clipboard for transferring data in to, out of, or within Media Jukebox.

You can use the clipboard to...

Copy data in to Media Jukebox (Import Files)

Just select a range of files in Explorer and Copy them to the clipboard, switch to Media Jukebox, choose a destination and Paste the clipboard to import the files into Media Jukebox.

Copy data out of Media Jukebox

Select a range of media files from a listing in Media Jukebox and Copy them to the clipboard, switch to another application and Paste the clipboard data. Media Jukebox creates simple text clipboard data, as well as, a comma delimited format that can easily be read into spreadsheet-type applications.

Transfer data within Media Jukebox

Select a range of media files from a listing in Media Jukebox and Copy them to the clipboard, switch to another destination within Media Jukebox (for instance an artist, album, category or playlist) and Paste the clipboard to transfer the files.


Normalization

Normalization is simply a way to make the volumes of your music “normal.” You may have noticed that some of your CD’s are a lot quieter than others, and this is what normalization attempts to fix. Digital audio is basically just a big stream of numbers, one after the next. When these numbers are big, the music is loud. When the numbers are small, the music is quiet.

Normalization scans a digital audio file and finds the biggest number in the whole song. If the biggest number is only half as big as it possibly could be, then your song is really only half as loud as it could be, so the normalizer detects that and scales all the numbers up to make the volume “normal.”

The normalization percent that you set is the percent of the maximum that you want the new peak level to be at. If you want all of your music to be as loud as possible without any degradation (clipping), just set the value to 100%. If you want to disable normalization, set this value to 0%.

Normalization can be really handy on compilation CD’s where you don’t want to have to adjust the volume knob between tracks to maintain the desired volume. On the other hand, normalization isn’t always a good choice on CD’s where certain tracks are intended to be a lot loader or quieter than other.

Normalization, like any DSP (Digital Sound Processor), introduces a small amount of noise into the signal. In the case of normalization, the amount of noise is tiny. However, if you’re working with lossless audio, you may not want to normalize.


Proxy Settings

Media Jukebox uses the proxy settings from Internet Explorer. For help on configuring the proxy settings for Internet Explorer, refer to the help provided with Internet Explorer.